/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */

package gov.va.med.bhie.beans;

/**
 * Note image.
 * 
 *
 */
public class NoteImage {

    /**
     * Image data.
     */
    private byte[] noteBytes;

    /**
     * Content type.
     */
    private String contentType;
    
    /**
     * Disposition.
     */
    private String contentDisposition;

    /**
     * Get note data.
     * 
     * @return data
     */
    public byte[] getNoteBytes() {
        byte[] rtc = null;
        if (noteBytes != null) {
            rtc = noteBytes.clone();
        }
        return rtc;
    }

    /**
     * Set note data.
     * 
     * @param bytes data
     */
    public void setNoteBytes(byte[] bytes) {
        if (bytes == null) {
            this.noteBytes = null;
        } else {
            this.noteBytes = bytes.clone();
        }
    }

    /**
     * Get content type.
     * 
     * @return type
     */
    public String getContentType() {
        return contentType;
    }

    /**
     * Set content type.
     * 
     * @param contentType type
     */
    public void setContentType(String contentType) {
        this.contentType = contentType;
    }

    /**
     * Get disposition.
     * 
     * @return disposition
     */
    public String getContentDisposition() {
        return contentDisposition;
    }

    /**
     * Set disposition.
     * 
     * @param contentDisposition disposition
     */
    public void setContentDisposition(String contentDisposition) {
        this.contentDisposition = contentDisposition;
    }
}
