/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */
 
 
package gov.va.med.bhie.beans;

import java.util.Calendar;
import java.util.List;

/**
 * Query bean. For use with REST queries. 
 *
 */
public class QueryBean {
    
    /**
     * User ID.
     */
    private String userId;
    
    /**
     * Patient ID.
     */
    private String patientId;
    
    /**
     * Start date.
     */
    private Calendar startDate;
    
    /**
     * End date.
     */
    private Calendar endDate;
    
    /**
     * Include sources.
     */
    private List<String> includedSources;
    
    /**
     * Exclude sources.
     */
    private List<String> excludedSources;

    /**
     * Class Codes.
     */
    private String classCodes;

    /**
     * Type Codes.
     */
    private String typeCodes;
    
    /**
     * Force refresh flag.
     */
    private boolean forceRefresh;

    /**
     * @return the userId
     */
    public String getUserId() {
        return userId;
    }

    /**
     * @param userId the userId to set
     */
    public void setUserId(String userId) {
        this.userId = userId;
    }

    /**
     * @return the patientId
     */
    public String getPatientId() {
        return patientId;
    }

    /**
     * @param patientId the patientId to set
     */
    public void setPatientId(String patientId) {
        this.patientId = patientId;
    }

    /**
     * @return the startDate
     */
    public Calendar getStartDate() {
        return startDate;
    }

    /**
     * @param startDate the startDate to set
     */
    public void setStartDate(Calendar startDate) {
        this.startDate = startDate;
    }

    /**
     * @return the endDate
     */
    public Calendar getEndDate() {
        return endDate;
    }

    /**
     * @param endDate the endDate to set
     */
    public void setEndDate(Calendar endDate) {
        this.endDate = endDate;
    }

    /**
     * @return the includedSources
     */
    public List<String> getIncludedSources() {
        return includedSources;
    }

    /**
     * @param includedSources the includedSources to set
     */
    public void setIncludedSources(List<String> includedSources) {
        this.includedSources = includedSources;
    }

    /**
     * @return the excludedSources
     */
    public List<String> getExcludedSources() {
        return excludedSources;
    }

    /**
     * @param excludedSources the excludedSources to set
     */
    public void setExcludedSources(List<String> excludedSources) {
        this.excludedSources = excludedSources;
    }

    /**
     * @return the forceRefresh
     */
    public boolean isForceRefresh() {
        return forceRefresh;
    }

    /**
     * @param forceRefresh the forceRefresh to set
     */
    public void setForceRefresh(boolean forceRefresh) {
        this.forceRefresh = forceRefresh;
    }

    /**
     * @return the classCodes
     */
    public String getClassCodes() {
        return classCodes;
    }

    /**
     * @param classCodes the includedSources to set
     */
    public void setClassCodes(String classCodes) {
        this.classCodes = classCodes;
    }

    /**
     * @return the typeCodes
     */
    public String getTypeCodes() {
        return typeCodes;
    }

    /**
     * @param typeCodes the includedSources to set
     */
    public void setTypeCodes(String typeCodes) {
        this.typeCodes = typeCodes;
    }
}
