package gov.va.med.bhie.beans.v4;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;

//import org.codehaus.jackson.annotate.JsonIgnoreProperties;
////import org.codehaus.jackson.annotate.JsonProperty;

//{"dataList":{"demographics":[
//{"dataDomain":[{"code":"52536-0","primary":false,"system":"2.16.840.1.113883.6.1"}],
//    "recordId":{"assigningAuthority":"2.16.840.1.113883.3.42.126.100001.2","id":"1149251"},
//    "repository":{"name":"ahlta","ids":[{"assigningAuthority":"2.16.840.1.113883.3.42.126.100001.13"}]},
//    "addresses":[{"city":"LA JOLLA","type":"Home Address","postalCode":"92038","state":"CA","street":["1234 HOWARD ST."]}],
//    "age":55,
//    "assignedUnit":{"name":"SM1CFNKG     (00 0004 AEROMEDICA SQ)"},
//    "birthDate":{"start":"1960-03-03T00:00:00","end":"1960-03-03T00:00:00"},
//    "fmp":"20",
//    "maritalStatus":[{"code":"182","display":"Married","primary":true,"system":"2.16.840.1.113883.3.42.126.100001.16"}],
//    "name":{"first":"CHDRONE","last":"CHDRZZZTESTPATIENT","middle":"L"},
//    "patientCategory":[{"code":"119034","display":"A11 - United States Army (USA) Active Duty (AD) Officer","primary":true,"system":"2.16.840.1.113883.3.42.126.100001.16"}],
//    "patientId":[{"assigningAuthority":"2.16.840.1.113883.3.42.10001.100001.12","id":"1666000001"},{"assigningAuthority":"2.16.840.1.113883.3.42.126.100001.2","id":"1149251"},{"assigningAuthority":"2.16.840.1.113883.4.1","id":"666000001"}],
//    "phones":[{"area":"760","local":"2225555","type":"Home Phone"}],
//    "race":[{"code":"139","display":"White","primary":true,"system":"2.16.840.1.113883.3.42.126.100001.16"}],
//    "rank":[{"code":"111291","display":"Colonel O6-A","primary":true,"system":"2.16.840.1.113883.3.42.126.100001.16"}],
//    "religion":[{"code":"160","display":"Episcopalianism","primary":true,"system":"2.16.840.1.113883.3.42.126.100001.16"}],
//    "sex":[{"code":"M","primary":true,"system":"unknown"}],
//    "sponsor":{"assignedUnit":{"name":"SM1CFNKG     (00 0004 AEROMEDICA SQ)"},
//    "rank":[{"code":"111291","display":"Colonel O6-A","primary":true,"system":"2.16.840.1.113883.3.42.126.100001.16"}],"ssn":"666000001"}}]},
//    "queryComplete":true,
//    "statusList":[{"partner":{"partnerIdentifier":"2.16.840.1.113883.3.42.126.100001.13","partnerName":"ahlta","partnerType":"DOD"},"partnerStatus":"UNKNOWN"},
//                  {"partner":{"partnerIdentifier":"2.16.840.1.113883.3.42.126.100001.13","partnerName":"ahlta","partnerType":"DOD"},"partnerStatus":"IN_PROGRESS"},
//                  {"partner":{"partnerIdentifier":"2.16.840.1.113883.3.42.126.100001.13","partnerName":"ahlta","partnerType":"DOD"},"partnerStatus":"COMPLETE"}]}

@JsonIgnoreProperties(ignoreUnknown = true)
public class DemographicV4 {
    @JsonProperty("dataDomain")
    private List<SPDCBeanV4> dataDomain;
    @JsonProperty("facility")
    private RepositoryV4 facility;
    @JsonProperty("recordId")
    private RecordIdentifierV4 recordId;
    @JsonProperty("repository")
    private RepositoryV4 repository;
    @JsonProperty("addresses")
    private List<AddressV4> addresses;
    @JsonProperty("age")
    private String age;
    @JsonProperty("assignedUnit")
    private RepositoryV4 assignedUnit;
    @JsonProperty("birthDate")
    private DateRangeV4 birthDate;
    @JsonProperty("branch")
    private List<SPDCBeanV4> branch;
    @JsonProperty("fmp")
    private String fmp;
    @JsonProperty("maritalStatus")
    private List<SPDCBeanV4> maritalStatus;
    @JsonProperty("name")
    private NameV4 name;
    @JsonProperty("patientCategory")
    private List<SPDCBeanV4> patientCategory;
    @JsonProperty("patientId")
    private List<RecordIdentifierV4> patientId;

    @JsonProperty("deersEligibility")
    private List<SPDCBeanV4> deersEligibility;
    @JsonProperty("email")
    private String email;
    @JsonProperty("enrollmentLocation")
    private RepositoryV4 enrollmentLocation;
    @JsonProperty("telecoms")
    private List<TelecomV4> telecoms;
    @JsonProperty("race")
    @JsonDeserialize(using = SPDCListDeserializer.class)
    private List<SPDCWrapperV4> race;
    @JsonProperty("rank")
    private List<SPDCBeanV4> rank;
    @JsonProperty("religion")
    private List<SPDCBeanV4> religion;
    @JsonProperty("sex")
    private List<SPDCBeanV4> sex;
    @JsonProperty("sponsor")
    private SponsorV4 sponsor;
    //
//    @JsonProperty("phones")
//    private List<PhoneV4> phones;
    @JsonProperty("narrativeId")
    private String narrativeId;
    @JsonProperty("nextOfKin")
    private List<PersonV4> nextOfKin;
    @JsonProperty("languages")
    @JsonDeserialize(using = LanguagesDeserializer.class)
    private List<LanguagesV4> languages;
    @JsonProperty("emergencyContacts")
    private List<PersonV4> emergencyContacts;
    /**
     * Health information exchange opt in status
     */
    @JsonProperty("optIn")
    private OptInV4 HIESharing;

    /**
     * @return the addresses
     */
    public List<AddressV4> getAddresses() {
        return addresses;
    }

    /**
     * @param addresses the addresses to set
     */
    public void setAddresses(List<AddressV4> addresses) {
        this.addresses = addresses;
    }

    /**
     * @return the age
     */
    public String getAge() {
        return age;
    }

    /**
     * @param age the age to set
     */
    public void setAge(String age) {
        this.age = age;
    }

    /**
     * @return the assignedUnit
     */
    public RepositoryV4 getAssignedUnit() {
        return assignedUnit;
    }

    /**
     * @param assignedUnit the assignedUnit to set
     */
    public void setAssignedUnit(RepositoryV4 assignedUnit) {
        this.assignedUnit = assignedUnit;
    }

    /**
     * @return the birthDate
     */
    public DateRangeV4 getBirthDate() {
        return birthDate;
    }

    /**
     * @param birthDate the birthDate to set
     */
    public void setBirthDate(DateRangeV4 birthDate) {
        this.birthDate = birthDate;
    }

    /**
     * @return the branch
     */
    public List<SPDCBeanV4> getBranch() {
        return branch;
    }

    /**
     * @param branch the branch to set
     */
    public void setBranch(List<SPDCBeanV4> branch) {
        this.branch = branch;
    }

    /**
     * @return the dataDomain
     */
    public List<SPDCBeanV4> getDataDomain() {
        return dataDomain;
    }

    /**
     * @param dataDomain the dataDomain to set
     */
    public void setDataDomain(List<SPDCBeanV4> dataDomain) {
        this.dataDomain = dataDomain;
    }

    /**
     * @return the deersEligibility
     */
    public List<SPDCBeanV4> getDeersEligibility() {
        return deersEligibility;
    }

    /**
     * @param deersEligibility the deersEligibility to set
     */
    public void setDeersEligibility(List<SPDCBeanV4> deersEligibility) {
        this.deersEligibility = deersEligibility;
    }

    /**
     * @return the email
     */
    public String getEmail() {
        return email;
    }

    /**
     * @param email the email to set
     */
    public void setEmail(String email) {
        this.email = email;
    }

    /**
     * @return the enrollmentLocation
     */
    public RepositoryV4 getEnrollmentLocation() {
        return enrollmentLocation;
    }

    /**
     * @param enrollmentLocation the enrollmentLocation to set
     */
    public void setEnrollmentLocation(RepositoryV4 enrollmentLocation) {
        this.enrollmentLocation = enrollmentLocation;
    }

    /**
     * @return the facility
     */
    public RepositoryV4 getFacility() {
        return facility;
    }

    /**
     * @param facility the facility to set
     */
    public void setFacility(RepositoryV4 facility) {
        this.facility = facility;
    }

    /**
     * @return the fmp
     */
    public String getFmp() {
        return fmp;
    }

    /**
     * @param fmp the fmp to set
     */
    public void setFmp(String fmp) {
        this.fmp = fmp;
    }

    /**
     * @return the maritalStatus
     */
    public List<SPDCBeanV4> getMaritalStatus() {
        return maritalStatus;
    }

    /**
     * @param maritalStatus the maritalStatus to set
     */
    public void setMaritalStatus(List<SPDCBeanV4> maritalStatus) {
        this.maritalStatus = maritalStatus;
    }

    /**
     * @return the name
     */
    public NameV4 getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(NameV4 name) {
        this.name = name;
    }

    /**
     * @return the patientCategory
     */
    public List<SPDCBeanV4> getPatientCategory() {
        return patientCategory;
    }

    /**
     * @param patientCategory the patientCategory to set
     */
    public void setPatientCategory(List<SPDCBeanV4> patientCategory) {
        this.patientCategory = patientCategory;
    }

    /**
     * @return the patientId
     */
    public List<RecordIdentifierV4> getPatientId() {
        return patientId;
    }

    /**
     * @param patientId the patientId to set
     */
    public void setPatientId(List<RecordIdentifierV4> patientId) {
        this.patientId = patientId;
    }

    //    /**
//     * @return the phones
//     */
//    public List<PhoneV4> getPhones() {
//        return phones;
//    }
//    /**
//     * @param phones the phones to set
//     */
//    public void setPhones(List<PhoneV4> phones) {
//        this.phones = phones;
//    }
//    /**
//     * @return the race
//     */
    public List<SPDCWrapperV4> getRace() {
        return race;
    }

    /**
     * @param race the race to set
     */
    public void setRace(List<SPDCWrapperV4> race) {
        this.race = race;
    }

    /**
     * @return the rank
     */
    public List<SPDCBeanV4> getRank() {
        return rank;
    }

    /**
     * @param rank the rank to set
     */
    public void setRank(List<SPDCBeanV4> rank) {
        this.rank = rank;
    }

    /**
     * @return the recordId
     */
    public RecordIdentifierV4 getRecordId() {
        return recordId;
    }

    /**
     * @param recordId the recordId to set
     */
    public void setRecordId(RecordIdentifierV4 recordId) {
        this.recordId = recordId;
    }

    /**
     * @return the religion
     */
    public List<SPDCBeanV4> getReligion() {
        return religion;
    }

    /**
     * @param religion the religion to set
     */
    public void setReligion(List<SPDCBeanV4> religion) {
        this.religion = religion;
    }

    /**
     * @return the repository
     */
    public RepositoryV4 getRepository() {
        return repository;
    }

    /**
     * @param repository the repository to set
     */
    public void setRepository(RepositoryV4 repository) {
        this.repository = repository;
    }

    /**
     * @return the sex
     */
    public List<SPDCBeanV4> getSex() {
        return sex;
    }

    /**
     * @param sex the sex to set
     */
    public void setSex(List<SPDCBeanV4> sex) {
        this.sex = sex;
    }

    /**
     * @return the sponsor
     */
    public SponsorV4 getSponsor() {
        return sponsor;
    }

    /**
     * @param sponsor the sponsor to set
     */
    public void setSponsor(SponsorV4 sponsor) {
        this.sponsor = sponsor;
    }

    public List<TelecomV4> getTelecoms() {
        return telecoms;
    }

    public void setTelecoms(List<TelecomV4> telecoms) {
        this.telecoms = telecoms;
    }

    public String getNarrativeId() {
        return narrativeId;
    }

    public void setNarrativeId(String narrativeId) {
        this.narrativeId = narrativeId;
    }

    public List<PersonV4> getNextOfKin() {
        return nextOfKin;
    }

    public void setNextOfKin(List<PersonV4> nextOfKin) {
        this.nextOfKin = nextOfKin;
    }

    public List<LanguagesV4> getLanguages() {
        return languages;
    }

    public void setLanguages(List<LanguagesV4> languages) {
        this.languages = languages;
    }

    public List<PersonV4> getEmergencyContacts() {
        return emergencyContacts;
    }

    public void setEmergencyContacts(List<PersonV4> emergencyContacts) {
        this.emergencyContacts = emergencyContacts;
    }


    public OptInV4 getHIESharing() {
        return HIESharing;
    }

    public void setHIESharing(OptInV4 HIESharing) {
        this.HIESharing = HIESharing;
    }
}
