package gov.va.med.bhie.beans.v4;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

//import org.codehaus.jackson.annotate.JsonIgnoreProperties;
////import org.codehaus.jackson.annotate.JsonProperty;

@JsonIgnoreProperties(ignoreUnknown = true)
public class DocumentInfoV4 {
    @JsonProperty("documentTitle")
    private String documentTitle;
    @JsonProperty("documentPatient")
    private PatientV4 documentPatient;
    @JsonProperty("documentPatientEmergencyContact")
    private String documentPatientEmergencyContact;
    @JsonProperty("documentPerformer")
    private PerformerV4 documentPerformer;
    @JsonProperty("documentSource")
    private List<SourceV4> documentSource;
    @JsonProperty("documentPatientNok")
    private String documentPatientNok;
    
    public String getDocumentTitle() {
        return documentTitle;
    }
    public void setDocumentTitle(String documentTitle) {
        this.documentTitle = documentTitle;
    }
    public PatientV4 getDocumentPatient() {
        return documentPatient;
    }
    public void setDocumentPatient(PatientV4 documentPatient) {
        this.documentPatient = documentPatient;
    }
    public String getDocumentPatientEmergencyContact() {
        return documentPatientEmergencyContact;
    }
    public void setDocumentPatientEmergencyContact(
            String documentPatientEmergencyContact) {
        this.documentPatientEmergencyContact = documentPatientEmergencyContact;
    }
    public PerformerV4 getDocumentPerformer() {
        return documentPerformer;
    }
    public void setDocumentPerformer(PerformerV4 documentPerformer) {
        this.documentPerformer = documentPerformer;
    }
    public List<SourceV4> getDocumentSource() {
        return documentSource;
    }
    public void setDocumentSource(List<SourceV4> documentSource) {
        this.documentSource = documentSource;
    }
    public String getDocumentPatientNok() {
        return documentPatientNok;
    }
    public void setDocumentPatientNok(String documentPatientNok) {
        this.documentPatientNok = documentPatientNok;
    }

//    "    \"documentInfo\" : [ 
//    {      \"documentTitle\" : \"C32_VLER_BABY-PartnerRequestsInsurance_2.0.3.0_regression\",\n" + 
//            "      \"documentPatient\" : {
//                   \"patientId\" : \"1900143101\",\n" + 
//            "        \"name\" : null,\n" + 
//            "        \"gender\" : null,\n" + 
//            "        \"genderCode\" : null,\n" + 
//            "        \"dob\" : null,\n" + 
//            "        \"address\" : null,\n" + 
//            "        \"phone\" : null,\n" + 
//            "        \"race\" : null,\n" + 
//            "        \"maritalStatus\" : null,\n" + 
//            "        \"maritalStatusCode\" : null,\n" + 
//            "        \"religion\" : null,\n" + 
//            "        \"religionCode\" : null,\n" + 
//            "        \"language\" : null,\n" + 
//            "        \"languageCode\" : null,\n" + 
//            "        \"providerOrg\" : null      },\n" + 
//            "      \"documentPatientEmergencyContact\" : null,\n" + 
//            "      \"documentPerformer\" : {
    //               \"date\" : null,\n" + 
//            "        \"providerName\" : \"Axolotl Elysium\",\n" + 
//            "        \"providerRole\" : \"Primary Care Provider\",\n" + 
//            "        \"providerOrgName\" : \"MedVA - CONNECT GATE-34133-2\",\n" + 
//            "        \"providerTaxonomy\" : null      },\n" + 
//            "      \"documentSource\" : [ {        \"representedOrgName\" : \"9.9\",\n" + 
//            "        \"representedOrgPhone\" : null,\n" + 
//            "        \"representedOrgAddress\" : null,\n" + 
//            "        \"custodianOrgName\" : null,\n" + 
//            "        \"custodianOrgPhone\" : null,\n" + 
//            "        \"custodianOrgAddress\" : null      } ],\n" + 
//            "      \"documentPatientNok\" : null    },\n" + 
//            " {      \"documentTitle\" : \"DoDsmoketest - 95000015\",\n" + 
//            "      \"documentPatient\" : {        \"patientId\" : \"1900143101\",\n" + 
//            "        \"name\" : null,\n" + 
//            "        \"gender\" : null,\n" + 
//            "        \"genderCode\" : null,\n" + 
//            "        \"dob\" : null,\n" + 
//            "        \"address\" : null,\n" + 
//            "        \"phone\" : null,\n" + 
//            "        \"race\" : null,\n" + 
//            "        \"maritalStatus\" : null,\n" + 
//            "        \"maritalStatusCode\" : null,\n" + 
//            "        \"religion\" : null,\n" + 
//            "        \"religionCode\" : null,\n" + 
//            "        \"language\" : null,\n" + 
//            "        \"languageCode\" : null,\n" + 
//            "        \"providerOrg\" : null      },\n" + 
//            "      \"documentPatientEmergencyContact\" : null,\n" + 
//            "      \"documentPerformer\" : {        \"date\" : null,\n" + 
//            "        \"providerName\" : \"Axolotl Elysium\",\n" + 
//            "        \"providerRole\" : \"Primary Care Provider\",\n" + 
//            "        \"providerOrgName\" : \"MedVA - CONNECT GATE-34133-2\",\n" + 
//            "        \"providerTaxonomy\" : null      },\n" + 
//            "      \"documentSource\" : [ {        \"representedOrgName\" : \"9.9\",\n" + 
//            "        \"representedOrgPhone\" : null,\n" + 
//            "        \"representedOrgAddress\" : null,\n" + 
//            "        \"custodianOrgName\" : null,\n" + 
//            "        \"custodianOrgPhone\" : null,\n" + 
//            "        \"custodianOrgAddress\" : null      } ],\n" + 
//            "      \"documentPatientNok\" : null    },\n" + 
//            " {      \"documentTitle\" : \"DoDsmoketest_C32_mil_Labs_1666701217_2013\",\n" + 
//            "      \"documentPatient\" : {        \"patientId\" : \"1900143101\",\n" + 
//            "        \"name\" : null,\n" + 
//            "        \"gender\" : null,\n" + 
//            "        \"genderCode\" : null,\n" + 
//            "        \"dob\" : null,\n" + 
//            "        \"address\" : null,\n" + 
//            "        \"phone\" : null,\n" + 
//            "        \"race\" : null,\n" + 
//            "        \"maritalStatus\" : null,\n" + 
//            "        \"maritalStatusCode\" : null,\n" + 
//            "        \"religion\" : null,\n" + 
//            "        \"religionCode\" : null,\n" + 
//            "        \"language\" : null,\n" + 
//            "        \"languageCode\" : null,\n" + 
//            "        \"providerOrg\" : null      },\n" + 
//            "      \"documentPatientEmergencyContact\" : null,\n" + 
//            "      \"documentPerformer\" : {        \"date\" : null,\n" + 
//            "        \"providerName\" : \"Axolotl Elysium\",\n" + 
//            "        \"providerRole\" : \"Primary Care Provider\",\n" + 
//            "        \"providerOrgName\" : \"TOL - CONNECT GATE-34133-9\",\n" + 
//            "        \"providerTaxonomy\" : null      },\n" + 
//            "      \"documentSource\" : [ {        \"representedOrgName\" : \"11.11\",\n" + 
//            "        \"representedOrgPhone\" : null,\n" + 
//            "        \"representedOrgAddress\" : null,\n" + 
//            "        \"custodianOrgName\" : null,\n" + 
//            "        \"custodianOrgPhone\" : null,\n" + 
//            "        \"custodianOrgAddress\" : null      } ],\n" + 
//            "      \"documentPatientNok\" : null    },\n" + 
//            " {      \"documentTitle\" : \"DoDsmoketest_C32_CHDRONE_1012581676V377802_95000015\",\n" + 
//            "      \"documentPatient\" : {        \"patientId\" : \"1900143101\",\n" + 
//            "        \"name\" : null,\n" + 
//            "        \"gender\" : null,\n" + 
//            "        \"genderCode\" : null,\n" + 
//            "        \"dob\" : null,\n" + 
//            "        \"address\" : null,\n" + 
//            "        \"phone\" : null,\n" + 
//            "        \"race\" : null,\n" + 
//            "        \"maritalStatus\" : null,\n" + 
//            "        \"maritalStatusCode\" : null,\n" + 
//            "        \"religion\" : null,\n" + 
//            "        \"religionCode\" : null,\n" + 
//            "        \"language\" : null,\n" + 
//            "        \"languageCode\" : null,\n" + 
//            "        \"providerOrg\" : null      },\n" + 
//            "      \"documentPatientEmergencyContact\" : null,\n" + 
//            "      \"documentPerformer\" : {        \"date\" : null,\n" + 
//            "        \"providerName\" : \"Axolotl Elysium\",\n" + 
//            "        \"providerRole\" : \"Primary Care Provider\",\n" + 
//            "        \"providerOrgName\" : \"KAISER - CONNECT GATE-34133-9\",\n" + 
//            "        \"providerTaxonomy\" : null      },\n" + 
//            "      \"documentSource\" : [ {        \"representedOrgName\" : \"10.10\",\n" + 
//            "        \"representedOrgPhone\" : null,\n" + 
//            "        \"representedOrgAddress\" : null,\n" + 
//            "        \"custodianOrgName\" : null,\n" + 
//            "        \"custodianOrgPhone\" : null,\n" + 
//            "        \"custodianOrgAddress\" : null      } ],\n" + 
//            "      \"documentPatientNok\" : null    } ],\n" + 
//
}
