package gov.va.med.bhie.beans.v4;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.core.JsonParser;
import com.fasterxml.jackson.databind.DeserializationContext;
import com.fasterxml.jackson.databind.JsonDeserializer;
import com.fasterxml.jackson.databind.JsonNode;
import com.fasterxml.jackson.databind.ObjectMapper;

class LanguagesDeserializer extends JsonDeserializer<List<LanguagesV4>> {

    @Override
    @JsonIgnoreProperties(ignoreUnknown = true)
    public List<LanguagesV4> deserialize(JsonParser jsonParser,
                                          DeserializationContext deserializationContext) throws IOException {

        List<LanguagesV4> languagesList = new ArrayList<LanguagesV4>();
        ObjectMapper mapper = new ObjectMapper();
        JsonNode node = mapper.readTree(jsonParser);
        for (JsonNode languages : node) {
            LanguagesV4 languageList = new LanguagesV4();
            List<SPDCBeanV4> spdcList = new ArrayList<SPDCBeanV4>();
            for (JsonNode spdcs : languages) {
                for (JsonNode spdc : spdcs) {
                    if (spdc != null) {
                        spdcList.add(mapper.convertValue(spdc, SPDCBeanV4.class));
                    }
                }
            }
            languageList.setLanguageList(spdcList);
            languagesList.add(languageList);
        }
        //List<SPDCBeanV4> spdcList = mapper.convertValue(node.findValues(""), new TypeReference<List<SPDCBeanV4>>() {});
        return languagesList;
    }
}
