package gov.va.med.bhie.beans.v4;

////import org.codehaus.jackson.annotate.JsonIgnoreProperties;
//import org.codehaus.jackson.annotate.JsonProperty;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

@JsonIgnoreProperties(ignoreUnknown = true)
public class MedicationOrderV4 {

    @JsonProperty("dataDomain")
    private List<SPDCBeanV4> dataDomain;
    @JsonProperty("facility") //
    private RepositoryV4 facility;
    @JsonProperty("recordId")
    private RecordIdentifierV4 recordId;
    @JsonProperty("orderNumber")
    private RecordIdentifierV4 orderNumber;
    @JsonProperty("repository") //
    private RepositoryV4 repository;
    @JsonProperty("enteredBy") //
    private ProviderV4 enteredBy;
    @JsonProperty("orderingProvider") //
    private ProviderV4 orderingProvider;
    @JsonProperty("actionCode")
    private String actionCode;
    @JsonProperty("alternateDrugText")
    private String alternateDrugText;
    @JsonProperty("childResistant")
    private boolean childResistant;
    @JsonProperty("date")
    private DateRangeV4 date;
    @JsonProperty("duration")
    private String duration;
    @JsonProperty("startDate")
    private DateRangeV4 startDate;
    @JsonProperty("endDate")
    private DateRangeV4 endDate;
    @JsonProperty("enteringLocation") //
    private RepositoryV4 enteringLocation;
    @JsonProperty("giveAmount")
    private String giveAmount;
    @JsonProperty("giveFormDescription")
    private String giveFormDescription;
    @JsonProperty("giveUnits")
    private List<SPDCBeanV4> giveUnits;
    @JsonProperty("numberOfRefills")
    private String numberOfRefills;
    @JsonProperty("orderable")
    private List<SPDCBeanV4> orderable;
    @JsonProperty("quantity") //
    private String quantity;
    @JsonProperty("priority") //
    private String priority;
    @JsonProperty("requestedDispenseAmount") //
    private String requestedDispenseAmount;
    @JsonProperty("routeDescription") //
    private String routeDescription;
    @JsonProperty("sig") //
    private String sig;
    @JsonProperty("status") //
    private List<SPDCBeanV4> status;



    /**
     * @return the facility
     */
    public RepositoryV4 getFacility() {
        return facility;
    }

    /**
     * @param facility the facility to set
     */
    public void setFacility(RepositoryV4 facility) {
        this.facility = facility;
    }

    /**
     * @return the recordId
     */
    public RecordIdentifierV4 getRecordId() {
        return recordId;
    }

    /**
     * @param recordId the recordId to set
     */
    public void setRecordId(RecordIdentifierV4 recordId) {
        this.recordId = recordId;
    }

    /**
     * @return the repository
     */
    public RepositoryV4 getRepository() {
        return repository;
    }

    /**
     * @param repository the repository to set
     */
    public void setRepository(RepositoryV4 repository) {
        this.repository = repository;
    }



    /**
     * @return the quantity
     */
    public String getQuantity() {
        return quantity;
    }

    /**
     * @param quantity the quantity to set
     */
    public void setQuantity(String quantity) {
        this.quantity = quantity;
    }



    /**
     * @return the sig
     */
    public String getSig() {
        return sig;
    }

    /**
     * @param sig the sig to set
     */
    public void setSig(String sig) {
        this.sig = sig;
    }

    /**
     * @return the status
     */
    public List<SPDCBeanV4> getStatus() {
        return status;
    }

    /**
     * @param status the status to set
     */
    public void setStatus(List<SPDCBeanV4> status) {
        this.status = status;
    }

    public List<SPDCBeanV4> getDataDomain() {
        return dataDomain;
    }

    public void setDataDomain(List<SPDCBeanV4> dataDomain) {
        this.dataDomain = dataDomain;
    }

    public RecordIdentifierV4 getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(RecordIdentifierV4 orderNumber) {
        this.orderNumber = orderNumber;
    }

    public ProviderV4 getEnteredBy() {
        return enteredBy;
    }

    public void setEnteredBy(ProviderV4 enteredBy) {
        this.enteredBy = enteredBy;
    }

    public ProviderV4 getOrderingProvider() {
        return orderingProvider;
    }

    public void setOrderingProvider(ProviderV4 oderingProvider) {
        this.orderingProvider = oderingProvider;
    }

    public String getActionCode() {
        return actionCode;
    }

    public void setActionCode(String actionCode) {
        this.actionCode = actionCode;
    }

    public String getAlternateDrugText() {
        return alternateDrugText;
    }

    public void setAlternateDrugText(String alternateDrugText) {
        this.alternateDrugText = alternateDrugText;
    }

    public boolean isChildResistant() {
        return childResistant;
    }

    public void setChildResistant(boolean childResistant) {
        this.childResistant = childResistant;
    }

    public DateRangeV4 getDate() {
        return date;
    }

    public void setDate(DateRangeV4 date) {
        this.date = date;
    }

    public String getDuration() {
        return duration;
    }

    public void setDuration(String duration) {
        this.duration = duration;
    }

    public DateRangeV4 getStartDate() {
        return startDate;
    }

    public void setStartDate(DateRangeV4 startDate) {
        this.startDate = startDate;
    }

    public DateRangeV4 getEndDate() {
        return endDate;
    }

    public void setEndDate(DateRangeV4 endDate) {
        this.endDate = endDate;
    }

    public RepositoryV4 getEnteringLocation() {
        return enteringLocation;
    }

    public void setEnteringLocation(RepositoryV4 enteringLocation) {
        this.enteringLocation = enteringLocation;
    }

    public String getGiveAmount() {
        return giveAmount;
    }

    public void setGiveAmount(String giveAmount) {
        this.giveAmount = giveAmount;
    }

    public String getGiveFormDescription() {
        return giveFormDescription;
    }

    public void setGiveFormDescription(String giveFormDescription) {
        this.giveFormDescription = giveFormDescription;
    }

    public List<SPDCBeanV4> getGiveUnits() {
        return giveUnits;
    }

    public void setGiveUnits(List<SPDCBeanV4> giveUnits) {
        this.giveUnits = giveUnits;
    }

    public String getNumberOfRefills() {
        return numberOfRefills;
    }

    public void setNumberOfRefills(String numberOfRefills) {
        this.numberOfRefills = numberOfRefills;
    }

    public List<SPDCBeanV4> getOrderable() {
        return orderable;
    }

    public void setOrderable(List<SPDCBeanV4> orderable) {
        this.orderable = orderable;
    }

    public String getPriority() {
        return priority;
    }

    public void setPriority(String priority) {
        this.priority = priority;
    }

    public String getRequestedDispenseAmount() {
        return requestedDispenseAmount;
    }

    public void setRequestedDispenseAmount(String requestedDispenseAmount) {
        this.requestedDispenseAmount = requestedDispenseAmount;
    }

    public String getRouteDescription() {
        return routeDescription;
    }

    public void setRouteDescription(String routeDescription) {
        this.routeDescription = routeDescription;
    }
}
