/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */
 
 
package gov.va.med.bhie.beans.v4;

//import org.codehaus.jackson.annotate.JsonProperty;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

@JsonIgnoreProperties(ignoreUnknown = true)
public class NoteV4 {
    @JsonProperty("completeNote")
    private String completeNote;
    @JsonProperty("complexDataUrl")
    private String complexDataUrl;
    @JsonProperty("location")
    private RepositoryV4 location;
    @JsonProperty("repository")
    private RepositoryV4 repository;
    @JsonProperty("enteredBy")
    private ProviderV4 enteredBy;
    @JsonProperty("enteredDate")
    private DateRangeV4 enteredDate;
    @JsonProperty("arrivalDate")
    private DateRangeV4 arrivalDate;
    @JsonProperty("departureDate")
    private DateRangeV4 departureDate;
    @JsonProperty("recordId")
    private RecordIdentifierV4 recordId;
    @JsonProperty("facility")
    private RepositoryV4 facility;
    @JsonProperty("dataDomain")
    private List<SPDCBeanV4> dataDomain;
    @JsonProperty("contentType")
    private List<SPDCBeanV4> contentType;
    @JsonProperty("content")
    private String content;
    @JsonProperty("title")
    private String title;
    @JsonProperty("description")
    private String description;
    @JsonProperty("type")
    private List<SPDCBeanV4> type;
    @JsonProperty("status")
    private List<SPDCBeanV4> status;
    @JsonProperty("verifiedBy")
    private ProviderV4 verifiedBy;
    @JsonProperty("verifiedDate")
    private DateRangeV4 verifiedDate;
    @JsonProperty("sensitive")
    private String sensitive;
    @JsonProperty("size")
    private String size;
    /**
     * @return the completeNote
     */
    public String getCompleteNote() {
        return completeNote;
    }
    /**
     * @param completeNote the completeNote to set
     */
    public void setCompleteNote(String completeNote) {
        this.completeNote = completeNote;
    }
    /**
     * @return the complexDataUrl
     */
    public String getComplexDataUrl() {
        return complexDataUrl;
    }
    /**
     * @param complexDataUrl the complexDataUrl to set
     */
    public void setComplexDataUrl(String complexDataUrl) {
        this.complexDataUrl = complexDataUrl;
    }
    /**
     * @return the repository
     */
    public RepositoryV4 getRepository() {
        return repository;
    }
    /**
     * @param repository the repository to set
     */
    public void setRepository(RepositoryV4 repository) {
        this.repository = repository;
    }
    /**
     * @return the enteredBy
     */
    public ProviderV4 getEnteredBy() {
        return enteredBy;
    }
    /**
     * @param enteredBy the enteredBy to set
     */
    public void setEnteredBy(ProviderV4 enteredBy) {
        this.enteredBy = enteredBy;
    }
    /**
     * @return the enteredDate
     */
    public DateRangeV4 getEnteredDate() {
        return enteredDate;
    }
    /**
     * @param enteredDate the enteredDate to set
     */
    public void setEnteredDate(DateRangeV4 enteredDate) {
        this.enteredDate = enteredDate;
    }
    /**
     * @return the arrivalDate
     */
    public DateRangeV4 getArrivalDate() {
        return arrivalDate;
    }
    /**
     * @param arrivalDate the arrivalDate to set
     */
    public void setArrivalDate(DateRangeV4 arrivalDate) {
        this.arrivalDate = arrivalDate;
    }
    /**
     * @return the departureDate
     */
    public DateRangeV4 getDepartureDate() {
        return departureDate;
    }
    /**
     * @param departureDate the departureDate to set
     */
    public void setDepartureDate(DateRangeV4 departureDate) {
        this.departureDate = departureDate;
    }
    /**
     * @return the recordId
     */

    public RecordIdentifierV4 getRecordId() {
        return recordId;
    }
    /**
     * @param recordId the recordId to set
     */
    public void setRecordId(RecordIdentifierV4 recordId) {
        this.recordId = recordId;
    }
    /**
     * @return the facility
     */
    public RepositoryV4 getFacility() {
        return facility;
    }
    /**
     * @param facility the facility to set
     */
    public void setFacility(RepositoryV4 facility) {
        this.facility = facility;
    }
    /**
     * @return the dataDomain
     */
    public List<SPDCBeanV4> getDataDomain() {
        return dataDomain;
    }
    /**
     * @param dataDomain the dataDomain to set
     */
    public void setDataDomain(List<SPDCBeanV4> dataDomain) {
        this.dataDomain = dataDomain;
    }
    /**
     * @return the contentType
     */
    public List<SPDCBeanV4> getContentType() {
        return contentType;
    }
    /**
     * @param contentType the contentType to set
     */
    public void setContentType(List<SPDCBeanV4> contentType) {
        this.contentType = contentType;
    }
    /**
     * @return the description
     */
    public String getDescription() {
        return description;
    }
    /**
     * @param description the description to set
     */
    public void setDescription(String description) {
        this.description = description;
    }
    /**
     * @return the title
     */
    public String getTitle() {
        return title;
    }
    /**
     * @param title the title to set
     */
    public void setTitle(String title) {
        this.title = title;
    }
    /**
     * @return the type
     */
    public List<SPDCBeanV4> getType() {
        return type;
    }
    /**
     * @param type the type to set
     */
    public void setType(List<SPDCBeanV4> type) {
        this.type = type;
    }
    /**
     * @return the status
     */
    public List<SPDCBeanV4> getStatus() {
        return status;
    }
    /**
     * @param status the status to set
     */
    public void setStatus(List<SPDCBeanV4> status) {
        this.status = status;
    }
    /**
     * @return the verifiedBy
     */
    public ProviderV4 getVerifiedBy() {
        return verifiedBy;
    }
    /**
     * @param verifiedBy the verifiedBy to set
     */
    public void setVerifiedBy(ProviderV4 verifiedBy) {
        this.verifiedBy = verifiedBy;
    }
    /**
     * @return the verifiedDate
     */
    public DateRangeV4 getVerifiedDate() {
        return verifiedDate;
    }
    /**
     * @param verifiedDate the verifiedDate to set
     */
    public void setVerifiedDate(DateRangeV4 verifiedDate) {
        this.verifiedDate = verifiedDate;
    }
    /**
     * @param sensitive the sensitive to set
     */
    public void setSensitive(String sensitive) {
        this.sensitive = sensitive;
    }
    /**
     * @return the sensitive
     */
    public String getSensitive() {
        return sensitive;
    }

    public void setSize(String size) {
        this.size = size;
    }
    /**
     * @return the sensitive
     */
    public String getSize() {
        return size;
    }

    /**
     * @return the content
     */
    public String getContent() {
        return content;
    }
    /**
     * @param content the content to set
     */
    public void setContent(String content) {
        this.content = content;
    }

    /**
     * @return the location
     */
    public RepositoryV4 getLocation() {
        return location;
    }
    /**
     * @param location the location to set
     */
    public void setLocation(RepositoryV4 location) {
        this.location = location;
    }
}
