package gov.va.med.bhie.beans.v4;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

/**
 * Created by melcolm on 6/18/15.
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class OrderV4 {
    @JsonProperty("accession")
    private RecordIdentifierV4 accession;
    @JsonProperty("collectionDate")
    private DateRangeV4 collectionDate;
    @JsonProperty("collectionSample")
    private String collectionSample;
    @JsonProperty("comment")
    private String comment;
    @JsonProperty("date")
    private DateRangeV4 date;
    @JsonProperty("id")
    private RecordIdentifierV4 id; //used in AP
    @JsonProperty("orderNumber")
    private RecordIdentifierV4 orderNumber;
    @JsonProperty("priority")
    private List<SPDCBeanV4> priority;
    @JsonProperty("provider")
    private ProviderV4 provider;
    @JsonProperty("requestingLocation")
    private RepositoryV4 requestingLocation;
    @JsonProperty("specimen")
    private List<SPDCBeanV4> specimen;
    @JsonProperty("status")
    private List<SPDCBeanV4> status;
    @JsonProperty("test")
    private List<SPDCBeanV4> test;

    public RecordIdentifierV4 getAccession() {
        return accession;
    }

    public void setAccession(RecordIdentifierV4 accession) {
        this.accession = accession;
    }

    public DateRangeV4 getCollectionDate() {
        return collectionDate;
    }

    public void setCollectionDate(DateRangeV4 collectionDate) {
        this.collectionDate = collectionDate;
    }

    public String getCollectionSample() {
        return collectionSample;
    }

    public void setCollectionSample(String collectionSample) {
        this.collectionSample = collectionSample;
    }

    public DateRangeV4 getDate() {
        return date;
    }

    public void setDate(DateRangeV4 date) {
        this.date = date;
    }

    public RecordIdentifierV4 getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(RecordIdentifierV4 orderNumber) {
        this.orderNumber = orderNumber;
    }

    public List<SPDCBeanV4> getPriority() {
        return priority;
    }

    public void setPriority(List<SPDCBeanV4> priority) {
        this.priority = priority;
    }

    public ProviderV4 getProvider() {
        return provider;
    }

    public void setProvider(ProviderV4 provider) {
        this.provider = provider;
    }

    public RepositoryV4 getRequestingLocation() {
        return requestingLocation;
    }

    public void setRequestingLocation(RepositoryV4 requestingLocation) {
        this.requestingLocation = requestingLocation;
    }

    public List<SPDCBeanV4> getSpecimen() {
        return specimen;
    }

    public void setSpecimen(List<SPDCBeanV4> specimen) {
        this.specimen = specimen;
    }

    public List<SPDCBeanV4> getTest() {
        return test;
    }

    public void setTest(List<SPDCBeanV4> test) {
        this.test = test;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public RecordIdentifierV4 getId() {
        return id;
    }

    public void setId(RecordIdentifierV4 id) {
        this.id = id;
    }

    public List<SPDCBeanV4> getStatus() {
        return status;
    }

    public void setStatus(List<SPDCBeanV4> status) {
        this.status = status;
    }


}

