package gov.va.med.bhie.beans.v4;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;

import java.util.List;

////import org.codehaus.jackson.annotate.JsonIgnoreProperties;
////import org.codehaus.jackson.annotate.JsonProperty;

@JsonIgnoreProperties(ignoreUnknown = true)
public class ProcedureV4 {
    @JsonProperty("dataDomain")
    private List<SPDCBeanV4> dataDomain;

    @JsonProperty("repository")
    private RepositoryV4 repository;
    @JsonProperty("enteredBy")
    private ProviderV4 enteredBy;
    @JsonProperty("enteredDate")
    private DateRangeV4 enteredDate;
    @JsonProperty("recordId")
    private RecordIdentifierV4 recordId;
    @JsonProperty("facility")
    private RepositoryV4 facility;

    @JsonProperty("procedure")
    private List<SPDCBeanV4> procedure;
    @JsonProperty("date")
    private DateRangeV4 date;
    @JsonProperty("status")
    private List<SPDCBeanV4> status;
    @JsonProperty("provider")
    private ProviderV4 provider;

    @JsonProperty("narrativeId")
    private String narrativeId;

    @JsonProperty("textDescription")
    private String textDescription;
    @JsonProperty("comment")
    private String comment;
    @JsonProperty("bodySite")
    private List<SPDCBeanV4> bodySite;
    @JsonProperty("qualifiers")
    @JsonDeserialize(using = SPDCListDeserializer.class)
    private List<SPDCWrapperV4> qualifiers;
    @JsonProperty("encounter")
    private EncounterV4 encounter;

    @JsonProperty("meta")
    @JsonDeserialize(using = MetaTypeDeserializer.class)
    private MetaTypeV4 type;

    /**
     * @return the repository
     */
    public RepositoryV4 getRepository() {
        return repository;
    }

    /**
     * @param repository the repository to set
     */
    public void setRepository(RepositoryV4 repository) {
        this.repository = repository;
    }

    /**
     * @return the enteredBy
     */
    public ProviderV4 getEnteredBy() {
        return enteredBy;
    }

    /**
     * @param enteredBy the enteredBy to set
     */
    public void setEnteredBy(ProviderV4 enteredBy) {
        this.enteredBy = enteredBy;
    }

    /**
     * @return the enteredDate
     */
    public DateRangeV4 getEnteredDate() {
        return enteredDate;
    }

    /**
     * @param enteredDate the enteredDate to set
     */
    public void setEnteredDate(DateRangeV4 enteredDate) {
        this.enteredDate = enteredDate;
    }

    /**
     * @return the recordId
     */
    public RecordIdentifierV4 getRecordId() {
        return recordId;
    }

    /**
     * @param recordId the recordId to set
     */
    public void setRecordId(RecordIdentifierV4 recordId) {
        this.recordId = recordId;
    }

    /**
     * @return the facility
     */
    public RepositoryV4 getFacility() {
        return facility;
    }

    /**
     * @param facility the facility to set
     */
    public void setFacility(RepositoryV4 facility) {
        this.facility = facility;
    }

    /**
     * @return the dataDomain
     */
    public List<SPDCBeanV4> getDataDomain() {
        return dataDomain;
    }

    /**
     * @param dataDomain the dataDomain to set
     */
    public void setDataDomain(List<SPDCBeanV4> dataDomain) {
        this.dataDomain = dataDomain;
    }

    /**
     * @return the procedure
     */
    public List<SPDCBeanV4> getProcedure() {
        return procedure;
    }

    /**
     * @param procedure the procedure to set
     */
    public void setProcedure(List<SPDCBeanV4> procedure) {
        this.procedure = procedure;
    }

    /**
     * @return the date
     */
    public DateRangeV4 getDate() {
        return date;
    }

    /**
     * @param date the date to set
     */
    public void setDate(DateRangeV4 date) {
        this.date = date;
    }

    /**
     * @return the status
     */
    public List<SPDCBeanV4> getStatus() {
        return status;
    }

    /**
     * @param status the status to set
     */
    public void setStatus(List<SPDCBeanV4> status) {
        this.status = status;
    }

    /**
     * @return the provider
     */
    public ProviderV4 getProvider() {
        return provider;
    }

    /**
     * @param provider the provider to set
     */
    public void setProvider(ProviderV4 provider) {
        this.provider = provider;
    }

    public String getNarrativeId() {
        return narrativeId;
    }

    public void setNarrativeId(String narrativeId) {
        this.narrativeId = narrativeId;
    }

    public String getTextDescription() {
        return textDescription;
    }

    public void setTextDescription(String textDescription) {
        this.textDescription = textDescription;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public List<SPDCBeanV4> getBodySite() {
        return bodySite;
    }

    public void setBodySite(List<SPDCBeanV4> bodySite) {
        this.bodySite = bodySite;
    }

    public List<SPDCWrapperV4> getQualifiers() {
        return qualifiers;
    }

    public void setQualifiers(List<SPDCWrapperV4> qualifiers) {
        this.qualifiers = qualifiers;
    }

    public EncounterV4 getEncounter() {
        return encounter;
    }

    public void setEncounter(EncounterV4 encounter) {
        this.encounter = encounter;
    }

    /**
     * @return the type
     */
    public MetaTypeV4 getType() {
        return type;
    }

    /**
     * @param type the type to set
     */
    public void setType(MetaTypeV4 type) {
        this.type = type;
    }

}

