/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */

package gov.va.med.bhie.beans.v4;

//import org.codehaus.jackson.annotate.JsonProperty;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

public class QuestionnaireV4 {

    @JsonProperty("dataDomain")
    private List<SPDCBeanV4> dataDomain;
    @JsonProperty("enteredBy")
    private ProviderV4 enteredBy;
    @JsonProperty("enteredDate")
    private DateRangeV4 enteredDate;
    @JsonProperty("facility")
    private RepositoryV4 facility;
    @JsonProperty("recordId")
    private RecordIdentifierV4 recordId;
    @JsonProperty("repository")
    private RepositoryV4 repository;
    @JsonProperty("id")
    private String id;
    @JsonProperty("location")
    private RepositoryV4 location;
    @JsonProperty("name")
    private String name;
    @JsonProperty("type")
    private String type;
    @JsonProperty("version")
    private String version;
    @JsonProperty("responses")
    private List<QuestionnaireDetailsV4> responses;
    @JsonProperty("responseDate")
    private DateRangeV4 responseDate;
    @JsonProperty("responseComments")
    private List<QuestionnaireResponseCommentsV4> responseComments;
    @JsonProperty("score")
    private String score;
    @JsonProperty("status")
    private List<SPDCBeanV4> status;

    @JsonProperty("comment")
    private String comments;

    public RecordIdentifierV4 getRecordId() {
        return recordId;
    }

    public void setRecordId(RecordIdentifierV4 recordId) {
        this.recordId = recordId;
    }

    public DateRangeV4 getEnteredDate() {
        return enteredDate;
    }

    public void setEnteredDate(DateRangeV4 enteredDate) {
        this.enteredDate = enteredDate;
    }

    public DateRangeV4 getResponseDate() {
        return responseDate;
    }

    public void setResponseDate(DateRangeV4 responseDate) {
        this.responseDate = responseDate;
    }

    public RepositoryV4 getLocation() {
        return location;
    }

    public void setLocation(RepositoryV4 location) {
        this.location = location;
    }


    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public List<QuestionnaireDetailsV4> getResponses() {
        return responses;
    }

    public void setResponses(List<QuestionnaireDetailsV4> responses) {
        this.responses = responses;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public ProviderV4 getEnteredBy() {
        return enteredBy;
    }

    public void setEnteredBy(ProviderV4 enteredBy) {
        this.enteredBy = enteredBy;
    }

    public RepositoryV4 getFacility() {
        return facility;
    }

    public void setFacility(RepositoryV4 facility) {
        this.facility = facility;
    }

    public RepositoryV4 getRepository() {
        return repository;
    }

    public void setRepository(RepositoryV4 repository) {
        this.repository = repository;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public List<SPDCBeanV4> getDataDomain() {
        return dataDomain;
    }

    public void setDataDomain(List<SPDCBeanV4> dataDomain) {
        this.dataDomain = dataDomain;
    }

    public List<QuestionnaireResponseCommentsV4> getResponseComments() {
        return responseComments;
    }

    public void setResponseComments(List<QuestionnaireResponseCommentsV4> responseComments) {
        this.responseComments = responseComments;
    }

    public String getComments() {
        return comments;
    }

    public void setComments(String comments) {
        this.comments = comments;
    }

    public String getScore() {
        return score;
    }

    public void setScore(String score) {
        this.score = score;
    }

    public List<SPDCBeanV4> getStatus() {
        return status;
    }

    public void setStatus(List<SPDCBeanV4> status) {
        this.status = status;
    }
}