package gov.va.med.bhie.beans.v4;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

//import org.codehaus.jackson.annotate.JsonIgnoreProperties;
//import org.codehaus.jackson.annotate.JsonProperty;

@JsonIgnoreProperties(ignoreUnknown = true)
public class ResultV4 {
    @JsonProperty("dataDomain") //
    private List<SPDCBeanV4> dataDomain;
    @JsonProperty("enteredBy") //
    private ProviderV4 enteredBy;

    @JsonProperty("enteredDate") //
    private DateRangeV4 enteredDate;
    @JsonProperty("facility") //
    private RepositoryV4 facility;
    @JsonProperty("recordId")
    private RecordIdentifierV4 recordId;
    @JsonProperty("repository") //
    private RepositoryV4 repository;
    @JsonProperty("order")
    private OrderV4 order;
    @JsonProperty("results")
    private List<ResultsV4> results;
    @JsonProperty("certifiedDate") //used by MICRO and AP
    private DateRangeV4 certifiedDate;
    @JsonProperty("tests")  //used by MICRO and AP
    private List<TestV4> tests;
    @JsonProperty("panel")
    private boolean panel;
    @JsonProperty("sensitive")
    private boolean sensitive;


    public List<SPDCBeanV4> getDataDomain() {
        return dataDomain;
    }

    public void setDataDomain(List<SPDCBeanV4> dataDomain) {
        this.dataDomain = dataDomain;
    }

    public DateRangeV4 getEnteredDate() {
        return enteredDate;
    }

    public void setEnteredDate(DateRangeV4 enteredDate) {
        this.enteredDate = enteredDate;
    }

    public RepositoryV4 getFacility() {
        return facility;
    }

    public void setFacility(RepositoryV4 facility) {
        this.facility = facility;
    }

    public RecordIdentifierV4 getRecordId() {
        return recordId;
    }

    public void setRecordId(RecordIdentifierV4 recordId) {
        this.recordId = recordId;
    }

    public RepositoryV4 getRepository() {
        return repository;
    }

    public void setRepository(RepositoryV4 repository) {
        this.repository = repository;
    }

    public OrderV4 getOrder() {
        return order;
    }

    public void setOrder(OrderV4 order) {
        this.order = order;
    }

    public List<ResultsV4> getResults() {
        return results;
    }

    public void setResults(List<ResultsV4> results) {
        this.results = results;
    }

    public DateRangeV4 getCertifiedDate() {
        return certifiedDate;
    }

    public void setCertifiedDate(DateRangeV4 certifiedDate) {
        this.certifiedDate = certifiedDate;
    }

    public List<TestV4> getTests() {
        return tests;
    }

    public void setTests(List<TestV4> tests) {
        this.tests = tests;
    }

    public boolean isPanel() {
        return panel;
    }

    public void setPanel(boolean panel) {
        this.panel = panel;
    }

    public boolean isSensitive() {
        return sensitive;
    }

    public void setSensitive(boolean sensitive) {
        this.sensitive = sensitive;
    }

    public ProviderV4 getEnteredBy() {
        return enteredBy;
    }

    public void setEnteredBy(ProviderV4 enteredBy) {
        this.enteredBy = enteredBy;
    }
}
