package gov.va.med.bhie.beans.v4;


import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.core.JsonParser;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.DeserializationContext;
import com.fasterxml.jackson.databind.JsonDeserializer;
import com.fasterxml.jackson.databind.JsonNode;
import com.fasterxml.jackson.databind.ObjectMapper;

import java.io.IOException;


public class TypeDeserializer extends JsonDeserializer<String> {

    @Override
    @JsonIgnoreProperties(ignoreUnknown = true)
    public String deserialize(JsonParser jsonParser, DeserializationContext deserializationContext) throws IOException, JsonProcessingException {

        ObjectMapper mapper = new ObjectMapper();
        JsonNode node = mapper.readTree(jsonParser);

        if (node.size() > 0) {
            JsonNode ext = node.get("extension");
            if (ext != null && ext.size() > 0) {
                JsonNode first = ext.get(0);
                if (first != null) {
                   return first.get("valueString").textValue();
                }
            }
        }

        return "";


    }
}
