package gov.va.med.bhie.datarecord;

import gov.va.med.bhie.beans.v4.AdmissionV4;
import gov.va.med.bhie.beans.v4.AllergyV4;
import gov.va.med.bhie.beans.v4.AppointmentV4;
import gov.va.med.bhie.beans.v4.ConsultOrderV4;
import gov.va.med.bhie.beans.v4.DemographicV4;
import gov.va.med.bhie.beans.v4.DocumentInfoV4;
import gov.va.med.bhie.beans.v4.EncounterV4;
import gov.va.med.bhie.beans.v4.ImmunizationV4;
import gov.va.med.bhie.beans.v4.LabOrderV4;
import gov.va.med.bhie.beans.v4.MedicationOrderV4;
import gov.va.med.bhie.beans.v4.MedicationV4;
import gov.va.med.bhie.beans.v4.NoteV4;
import gov.va.med.bhie.beans.v4.PatientManagementV4;
import gov.va.med.bhie.beans.v4.PayerV4;
import gov.va.med.bhie.beans.v4.ProblemV4;
import gov.va.med.bhie.beans.v4.ProcedureV4;
import gov.va.med.bhie.beans.v4.QuestionnaireV4;
import gov.va.med.bhie.beans.v4.RadiologyOrderV4;
import gov.va.med.bhie.beans.v4.RadiologyReportV4;
import gov.va.med.bhie.beans.v4.ResultV4;
import gov.va.med.bhie.beans.v4.VitalV4;
import gov.va.med.bhie.beans.v4.HistoryV4;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonProperty;

public class V4DataRecord {
    @JsonProperty("admissions")
    private List<AdmissionV4> admissions;
    @JsonProperty("appointments")
    private List<AppointmentV4> appointments;
    @JsonProperty("allergies")
    private List<AllergyV4> allergy;
    @JsonProperty("immunizations")
    private List<ImmunizationV4> immunizations;
    @JsonProperty("medications")
    private List<MedicationV4> medications;
    @JsonProperty("externalPartnerResults")
    private List<ResultV4> externalPartnerResults;
    @JsonProperty("labChemResults")
    private List<ResultV4> labChemResults;
    @JsonProperty("labMicroResults")
    private List<ResultV4> labMicroResults;
    @JsonProperty("labApResults")
    private List<ResultV4> labApResults;
    @JsonProperty("patientManagement")
    private List<PatientManagementV4> patientManagement;
    @JsonProperty("problems")
    private List<ProblemV4> problems;
    @JsonProperty("procedures")
    private List<ProcedureV4> procedures;
    @JsonProperty("vitals")
    private List<VitalV4> vitals;
    @JsonProperty("encounters")
    private List<EncounterV4> encounters;
    @JsonProperty("documentInfo")
    private List<DocumentInfoV4> documentInfo;
    @JsonProperty("payers")
    private List<PayerV4> payers;
    @JsonProperty("demographics")
    private List<DemographicV4> demographics;
    @JsonProperty("notes")
    private List<NoteV4> notes;
    @JsonProperty("inpatientNotes")
    private List<NoteV4> inpatientNotes;
    @JsonProperty("dischargeNotes")
    private List<NoteV4> dischargeNotes;
    @JsonProperty("encounterNotes")
    private List<NoteV4> encounterNotes;
    @JsonProperty("documents")
    private List<NoteV4> documents;
    @JsonProperty("medicationOrders")
    private List<MedicationOrderV4> medicationOrders;
    @JsonProperty("labOrders")
    private List<LabOrderV4> labOrders;
    @JsonProperty("consultOrders")
    private List<ConsultOrderV4> consultOrders;
    @JsonProperty("radiologyOrders")
    private List<RadiologyOrderV4> radiologyOrders;
    @JsonProperty("radiologyReports")
    private List<RadiologyReportV4> radiologyReports;
    @JsonProperty("questionnaires")
    private List<QuestionnaireV4> questionnaires;
    @JsonProperty("familyHistory")
    private List<HistoryV4> familyHistory;
    @JsonProperty("socialHistory")
    private List<HistoryV4> socialHistory;
    @JsonProperty("opmHistory")
    private List<HistoryV4> opmHistory;
    @JsonProperty("deploymentForms")
    private List<NoteV4> deploymentForms;



    /**
     * @return the admissions
     */
    public List<AdmissionV4> getAdmissions() {
        return admissions;
    }
    /**
     * @param admissions the admissions to set
     */
    public void setAdmissions(List<AdmissionV4> admissions) {
        this.admissions = admissions;
    }
    /**
     * @return the appointments
     */
    public List<AppointmentV4> getAppointments() {
        return appointments;
    }
    /**
     * @param appointments the appointments to set
     */
    public void setAppointments(List<AppointmentV4> appointments) {
        this.appointments = appointments;
    }
    /**
     * @return the allergy
     */
    public List<AllergyV4> getAllergy() {
        return allergy;
    }
    /**
     * @param allergy the allergy to set
     */
    public void setAllergy(List<AllergyV4> allergy) {
        this.allergy = allergy;
    }
    /**
     * @return the external partner results
     */
    public List<ResultV4> getExternalPartnerResults() {
        return externalPartnerResults;
    }
    /**
     * @param externalPartnerResults the external partner results to set
     */
    public void setExternalPartnerResults(List<ResultV4> externalPartnerResults) {
        this.externalPartnerResults = externalPartnerResults;
    }

    /**
     * @return the immunizations
     */
    public List<ImmunizationV4> getImmunizations() {
        return immunizations;
    }
    /**
     * @param immunizations the immunizations to set
     */
    public void setImmunizations(List<ImmunizationV4> immunizations) {
        this.immunizations = immunizations;
    }
    /**
     * @return the medications
     */
    public List<MedicationV4> getMedications() {
        return medications;
    }
    /**
     * @param medications the medications to set
     */
    public void setMedications(List<MedicationV4> medications) {
        this.medications = medications;
    }
//    /**
//     * @return the results
//     */
//    public List<ResultV4> getResults() {
//        return results;
//    }
//    /**
//     * @param results the results to set
//     */
//    public void setResults(List<ResultV4> results) {
//        this.results = results;
//    }

    /**
     * @return the patientManagement
     */
    public List<PatientManagementV4> getPatientManagement() {
        return patientManagement;
    }
    /**
     * @param patientManagement the patientManagement to set
     */
    public void setPatientManagement(List<PatientManagementV4> patientManagement) {
        this.patientManagement = patientManagement;
    }

    /**
     * @return the problems
     */
    public List<ProblemV4> getProblems() {
        return problems;
    }
    /**
     * @param problems the problems to set
     */
    public void setProblems(List<ProblemV4> problems) {
        this.problems = problems;
    }
    /**
     * @return the procedures
     */
    public List<ProcedureV4> getProcedures() {
        return procedures;
    }
    /**
     * @param procedures the procedures to set
     */
    public void setProcedures(List<ProcedureV4> procedures) {
        this.procedures = procedures;
    }
    /**
     * @return the vitals
     */
    public List<VitalV4> getVitals() {
        return vitals;
    }
    /**
     * @param vitals the vitals to set
     */
    public void setVitals(List<VitalV4> vitals) {
        this.vitals = vitals;
    }
    /**
     * @return the encounters
     */
    public List<EncounterV4> getEncounters() {
        return encounters;
    }
    /**
     * @param encounters the encounters to set
     */
    public void setEncounters(List<EncounterV4> encounters) {
        this.encounters = encounters;
    }
    /**
     * @return the documents
     */
    public List<NoteV4> getDocuments() {
        return documents;
    }
    /**
     * @param documents the documents to set
     */
    public void setDocuments(List<NoteV4> documents) {
        this.documents = documents;
    }

    /**
     * @return the documentInfo
     */
    public List<DocumentInfoV4> getDocumentInfo() {
        return documentInfo;
    }
    /**
     * @param documentInfo the documentInfo to set
     */
    public void setDocumentInfo(List<DocumentInfoV4> documentInfo) {
        this.documentInfo = documentInfo;
    }
    /**
     * @return the payers
     */
    public List<PayerV4> getPayers() {
        return payers;
    }
    /**
     * @param payers the payers to set
     */
    public void setPayers(List<PayerV4> payers) {
        this.payers = payers;
    }
    /**
     * @return the demographics
     */
    public List<DemographicV4> getDemographics() {
        return demographics;
    }
    /**
     * @param demographics the demographics to set
     */
    public void setDemographics(List<DemographicV4> demographics) {
        this.demographics = demographics;
    }

    /**
     * @return the notes
     */
    public List<NoteV4> getNotes() {
        return notes;
    }
    /**
     * @param notes the notes to set
     */
    public void setNotes(List<NoteV4> notes) {
        this.notes = notes;
    }

    public List<NoteV4> getInpatientNotes() {
        return inpatientNotes;
    }

    public void setInpatientNotes(List<NoteV4> inpatientNotes) {
        this.inpatientNotes = inpatientNotes;
    }

    public List<NoteV4> getDischargeNotes() {
        return dischargeNotes;
    }

    public void setDischargeNotes(List<NoteV4> dischargeNotes) {
        this.dischargeNotes = dischargeNotes;
    }

    public List<NoteV4> getEncounterNotes() {
        return encounterNotes;
    }

    public void setEncounterNotes(List<NoteV4> encounterNotes) {
        this.encounterNotes = encounterNotes;
    }

    public List<MedicationOrderV4> getMedicationOrders() {
        return medicationOrders;
    }

    public void setMedicationOrders(List<MedicationOrderV4> medicationOrders) {
        this.medicationOrders = medicationOrders;
    }

    public List<LabOrderV4> getLabOrders() {
        return labOrders;
    }

    public void setLabOrders(List<LabOrderV4> labOrders) {
        this.labOrders = labOrders;
    }

    public List<RadiologyOrderV4> getRadiologyOrders() {
        return radiologyOrders;
    }

    public void setRadiologyOrders(List<RadiologyOrderV4> radiologyOrders) {
        this.radiologyOrders = radiologyOrders;
    }

    public List<QuestionnaireV4> getQuestionnaires() {
        return questionnaires;
    }

    public void setQuestionnaires(List<QuestionnaireV4> questionnaires) {
        this.questionnaires = questionnaires;
    }

//    public List<NoteV4> getDeploymentForms() {
//        return deploymentForms;
//    }
//
//    public void setDeploymentForms(List<NoteV4> deploymentForms) {
//        this.deploymentForms = deploymentForms;
//    }

    public List<ConsultOrderV4> getConsultOrders() {
        return consultOrders;
    }

    public void setConsultOrders(List<ConsultOrderV4> consultOrders) {
        this.consultOrders = consultOrders;
    }

    public List<ResultV4> getLabChemResults() {
        return labChemResults;
    }

    public void setLabChemResults(List<ResultV4> labChemResults) {
        this.labChemResults = labChemResults;
    }

    public List<ResultV4> getLabMicroResults() {
        return labMicroResults;
    }

    public void setLabMicroResults(List<ResultV4> labMicroResults) {
        this.labMicroResults = labMicroResults;
    }

    public List<ResultV4> getLabApResults() {
        return labApResults;
    }

    public void setLabApResults(List<ResultV4> labApResults) {
        this.labApResults = labApResults;
    }

    public List<RadiologyReportV4> getRadiologyReports() {
        return radiologyReports;
    }

    public void setRadiologyReports(List<RadiologyReportV4> radiologyReports) {
        this.radiologyReports = radiologyReports;
    }

    public List<HistoryV4> getFamilyHistory() { return familyHistory; }

    public void setFamilyHistory(List<HistoryV4> familyHistory) { this.familyHistory = familyHistory; }

    public List<HistoryV4> getSocialHistory() {
        return socialHistory;
    }

    public void setSocialHistory(List<HistoryV4> socialHistory) {
        this.socialHistory = socialHistory;
    }

    public List<HistoryV4> getOpmHistory() {
        return opmHistory;
    }

    public void setOpmHistory(List<HistoryV4> opmHistory) {
        this.opmHistory = opmHistory;
    }

    public List<NoteV4> getDeploymentForms() {
        return deploymentForms;
    }

    public void setDeploymentForms(List<NoteV4> deploymentForms) {
        this.deploymentForms = deploymentForms;
    }
}
