/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */
 
 
package gov.va.med.bhie.dataservice;

import com.fasterxml.jackson.databind.DeserializationContext;
import com.fasterxml.jackson.databind.JsonDeserializer;
import com.fasterxml.jackson.databind.deser.DeserializationProblemHandler;

import gov.va.med.foundations.utilities.ARMLog;

import java.util.logging.Level;
import java.util.logging.Logger;

public class JSONDeserializationProblemHandler extends DeserializationProblemHandler
{
    private final static Logger LOGGER = Logger.getLogger(JSONDeserializationProblemHandler.class.getName());

    public boolean handleUnknownProperty(DeserializationContext ctxt, JsonDeserializer<?> deserializer, Object beanOrClass, String propertyName)
    {
        //SB: for debugging purposes, may not want be turned on during production as it is very verbose
        LOGGER.log(Level.INFO, "An unknown field encountered during json deserialization:: Cannot map property:" + ARMLog.cleanString(propertyName) + " to Class: " + beanOrClass.getClass().getName());

        return true;
    }
}
