/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */
 
 
package gov.va.med.bhie;

import gov.va.med.bhie.beans.QueryBean;
import org.junit.Before;

import java.util.ArrayList;
import java.util.Calendar;

public abstract class BaseTest
{
    protected QueryBean queryBean;

    protected final static String OID_AHLTA = "2.16.840.1.113883.3.42.126.100001.13";
    protected final static String OID_VA = "2.16.840.1.113883.3.42.10002.100001.8.22200";

    static
    {
      System.setProperty("https.protocols", "SSLv3,TLSv1");
    }

    @Before
    public void setUp()
    {
        String userId = "1234";
        String patientId = TestConfig.get(TestConfig.BHIE_TEST_PATIENT_ID);
        String facility = TestConfig.get(TestConfig.BHIE_TEST_FACILITY);
        Calendar startDate = Calendar.getInstance();
        startDate.set(Calendar.MONTH, Calendar.JANUARY);
        startDate.set(Calendar.DATE, 1);
        Calendar endDate = Calendar.getInstance();

        queryBean = new QueryBean();
        queryBean.setUserId(userId);
        queryBean.setPatientId(patientId);
        queryBean.setStartDate(startDate);
        queryBean.setEndDate(endDate);

        ArrayList<String> excludedSources = new ArrayList<String>();
        excludedSources.add(OID_VA);
        queryBean.setExcludedSources(excludedSources);
    }
}
