/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */
 
 
package gov.va.med.bhie;

import org.apache.log4j.Logger;

import java.io.IOException;
import java.io.InputStream;
import java.util.Properties;

public class TestConfig
{
    private static final Logger logger = Logger.getLogger(TestConfig.class);

    private static Properties testConfigProp = new Properties();

    public static final String BHIE_TEST_USERID = "BHIE_TEST_USERID";
    public static final String BHIE_TEST_FACILITY = "BHIE_TEST_FACILITY";
    public static final String BHIE_TEST_PATIENT_ID = "BHIE_TEST_PATIENT_ID";
    public static final String BHIE_TEST_PATIENT_NAME = "BHIE_TEST_PATIENT_NAME";
    public static final String BHIE_TEST_SYSTEM_IP = "BHIE_TEST_SYSTEM_ID";

    public static String get(String property)
    {
        if (testConfigProp.isEmpty())
        {
            init();
        }

        return (String) testConfigProp.get(property);

    }

    private static void init()
    {
        ClassLoader classLoader = TestConfig.class.getClassLoader();

        if (classLoader == null) throw new RuntimeException("Classloader is null");

        InputStream inputStream = null;

        try {
            inputStream = classLoader.getResourceAsStream("testconfig.properties");

            testConfigProp.load(inputStream);
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
        finally {
            if (inputStream != null)
            {
                try {
                    inputStream.close();
                } catch (IOException e) {
                    logger.error(e.getMessage());
                }
            }
        }
    }
}
