/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */
 
 
package gov.va.med.bhie.patient;


import gov.va.med.bhie.BaseTest;
import gov.va.med.bhie.common.ClinicalDomainLoincCode;
import gov.va.med.bhie.dao.DaoException;
//import gov.va.med.bhie.dao.patient.EncounterDao;
import gov.va.med.bhie.dao.patient.V4Dao;
import gov.va.med.bhie.dao.patient.VLERDao;
//import gov.va.med.bhie.resultcollection.EncounterResultCollection;
//import gov.va.med.bhie.resultcollection.EncounterResultCollectionV3;
import gov.va.med.bhie.resultcollection.V4ResultCollection;
import org.junit.Test;

import static org.junit.Assert.assertTrue;

public class EncountersDaoTest extends BaseTest
{
//    @Test
//    public void testGetPatientEncounters() throws DaoException {
//
//
//        EncounterDao encountersDao = new EncounterDao();
//        EncounterResultCollectionV3 resultCollection = encountersDao.getPatientEncountersV3(queryBean);
//        assertTrue(resultCollection.getDataRecordList().size() > 0);
//    }

    @Test
    public void testGetPatientEncountersV4() throws DaoException {
        V4Dao v4Dao = new V4Dao();
        V4ResultCollection v4Results = v4Dao.getV4Data(ClinicalDomainLoincCode.ENCOUNTERS, queryBean);
        assertTrue(v4Results.getDataRecordList().getEncounters().size() > 0);
    }
}
