/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */
 
 
package gov.va.med.bhie.patient;

import gov.va.med.bhie.BaseTest;
import gov.va.med.bhie.common.ClinicalDomainLoincCode;
import gov.va.med.bhie.dao.DaoException;
//import gov.va.med.bhie.dao.patient.PatientDao;
import gov.va.med.bhie.dao.patient.V4Dao;
//import gov.va.med.bhie.resultcollection.PatientDemographicsResultCollection;
//import gov.va.med.bhie.resultcollection.PatientDemographicsResultCollectionV3;
import gov.va.med.bhie.resultcollection.V4ResultCollection;
import org.junit.Test;

import static org.junit.Assert.assertTrue;

public class PatientDaoTest extends BaseTest
{
    @Test
    public void testGetPatientDemographics() throws DaoException {

//        PatientDao patientDao = new PatientDao();
//        PatientDemographicsResultCollectionV3 patientDemographicsResults = patientDao.getPatientDemographicsV3(queryBean);
//        assertTrue(patientDemographicsResults.getDataRecordList().size() > 0);

    }

    @Test
    public void testGetPatientDemographicsV4() throws DaoException {
        V4Dao v4Dao = new V4Dao();
        V4ResultCollection v4Results = v4Dao.getV4Data(ClinicalDomainLoincCode.PATIENT_DEMOGRAPHICSV4, queryBean);
        assertTrue(v4Results.getDataRecordList().getDemographics().size() > 0);
    }

    @Test
    public void testGetPatientAlertsV4() throws DaoException {
        V4Dao v4Dao = new V4Dao();
        V4ResultCollection v4Results = v4Dao.getV4Data(ClinicalDomainLoincCode.PATIENT_MANAGEMENT, queryBean);
        assertTrue(v4Results.getDataRecordList().getPatientManagement().size() > 0);
    }
}
