//= require jquery

// tooltip code //

//= require lib/AppKit/jquery/core.js
//= require lib/AppKit/jquery/widget.js
//= require lib/AppKit/jquery/position.js
//= require lib/AppKit/jquery/tooltip.js

var UserCFG = null;
var sitesJSON = [];

var dodSystemName = 'AHLTA'; //could be CHCS as in old dod login

function AcceptAgreement() {

    $("#CenterPopup, #Agreement-Overlay").remove();
    $("#AcceptedAgreementInput").val(true);
    $("#AccessibilityToggle").focus();

}

function ShowAgreement() {
    $("#CenterPopup, #Agreement-Overlay").show();
    $('#accept').focus();
}


function DefaultUserCfg() {
    var cfg = [];

    cfg.push({
        cfgItem: "UI_CONF",
        options: [
            {
                loginAgency: "VA"
            },
            {
                loginSite: 200
            }
        ]
    });

    return cfg;
}

function LoadAgencyAndSite(agency, site) {

    $("#comboAgency").val(agency);
    if ($("#comboAgency").val() == null) {
        $("#comboAgency").val($("#comboAgency option:first").val());
    }

    OnChangeAgency($("#comboAgency"));

    $("#comboSite").val(site);
    if ($("#comboSite").val() == null) {
        $("#comboSite").val($("#comboSite option:first").val());
    }

}

function OnChangeAgency(combo) {

    var val = combo.val();
    $("#comboAgency").val(val);

    var systemName = (val === 'DOD') ? dodSystemName : "VistA";

    if(val === 'DOD'){
        $("#AccessCodeLabel, #AccessCodeInput")
            .tooltip('option', 'content', "DoD users: Enter your AHLTA user ID.")
            .html(systemName + " User ID:");

        $("#VerifyCodeLabel, #VerifyCodeInput")
            .tooltip('option', 'content', "DoD users: Enter your AHLTA password.")
            .html(systemName + " Password:");

        $('#AgencyLabel').tooltip('option', 'content', 'DoD users: Select DoD.');

        $('#SiteLabel').tooltip('option', 'content', 'DoD users: Select your DoD site.')

    } else {

        $("#AccessCodeLabel, #AccessCodeInput")
            .tooltip('option', 'content', 'VHA users:  Enter your CPRS (VistA) access code. <br/> VBA users: Enter your CAPRI access code.')
            .html(systemName + " Access Code:");

        $("#VerifyCodeLabel, #VerifyCodeInput")
            .tooltip('option', 'content', 'VHA users:  Enter your CPRS (VistA) verify code. <br/> VBA users: Enter your CAPRI verify code.')
            .html(systemName + " Verify Code:");

        $('#AgencyLabel').tooltip('option', 'content', 'VHA and VBA users: Select VA.');

        $('#SiteLabel').tooltip('option', 'content', 'VHA users:  Select your VA Medical Center or your regional Health Care System. <br/> VBA users: Select Veterans Benefits Administration.')

    }

    var filteredSite = $.grep(sitesJSON, function (site) {
        return site.agency === val;
    });

    $("#comboSite").html("");

    $.each(filteredSite, function (idx, site) {
        $("#comboSite").append($("<option></option>").attr("value", site.siteCode).html(site.name));
    });

    $("#comboSite").val($("#comboSite option:first").val());
}

function SaveUserConfig() {
    if (UserCFG) {
        $.each(UserCFG, function (i, item) {
            if (item.cfgItem == "UI_CONF") {
                $.each(item.options, function (j, option) {

                    if (option["loginAgency"]) {
                        option["loginAgency"] = $('#comboAgency').val();

                    }
                    else if (option["loginSite"]) {
                        option["loginSite"] = $('#comboSite').val();
                    }
                    else if (option["theme"]) {
                        option["theme"] = $('input[name=theme]:checked').val();
                    }
                    else if(option["dodVLER"] !== undefined) {
                        option["dodVLER"] = $('#dodVLERCheckbox').is(':checked');
                    }
                    else if (option["dasVLER"] !== undefined) {
                        option["dasVLER"] = $('#dasVLERCheckbox').is(':checked');
                    }

                });
            }
        });

        $('#userCfg').val(JSON.stringify(UserCFG));
    }
}

function ValidateLoginForm() {
    var loginValidation = "";

    if ($("#comboAgency").val().length == 0)
        loginValidation += "Agency not selected. \n";

    if ($("#comboSite").val().length == 0)
        loginValidation += "Site not selected. \n";

    if ($.trim($("#AccessCodeInput").val()).length == 0) {
       if ($("#comboAgency").val() === "VA") {
            loginValidation += "Missing Access Code. \n";
       } else {
            loginValidation += "Missing User ID. \n";
       }
    }

    if ($.trim($("#VerifyCodeInput").val()).length == 0){
        if ($("#comboAgency").val() === "VA") {
            loginValidation += "Missing Verify Code. \n";
        } else {
            loginValidation += "Missing Password. \n";
        }
    }

    if (loginValidation.length == 0) {
        return true;
    }

    $("#ErrorMsg").html("Error: " + loginValidation).show();

    return false;
}

function ValidateSelectSiteForm() {
    var selectSiteValidation = "";

    if ($("#comboAgency").val().length == 0)
        selectSiteValidation += "Agency not selected. \n";

    if ($("#comboSite").val().length == 0)
        selectSiteValidation += "Site not selected. \n";

    if (selectSiteValidation.length == 0) {
        return true;
    }

    $("#ErrorMsg").html("Error: " + selectSiteValidation).show();

    return false;
}

function ShowLoginIndicatior() {
    var pb = document.getElementById("LoginIndicator");
    pb.innerHTML = '<img src="assets/loginIndicator.gif" width="24" height ="24"/>';
    pb.style.display = "block";
}

function ShowSelectSiteIndicatior() {
    var pb = document.getElementById("SelectSiteIndicator");
    pb.innerHTML = '<img src="../assets/loginIndicator.gif" width="24" height ="24"/>';
    pb.style.display = "block";
}

function ShowEditProfile(/*bool*/ show) {
    if (show) {
        $('#LoginMesg').show();
        $("#EditProfileLogin").show();
        $("#EditProfileBtn").hide();
        $("#NonEditProfileLogin").hide();

        setTimeout(function () {
            $('input[name="theme"]:checked').focus();
        }, 0);
    }
    else {
        $('#LoginMesg').hide();
        $("#EditProfileLogin").hide();
        $("#EditProfileBtn").show();
        $("#NonEditProfileLogin").show();
    }
}


function Login() {


    if (ValidateLoginForm()) {
        SaveUserConfig();

        setTimeout(function () {
            ShowLoginIndicatior();
        }, 5);


        return true;
    }

    return false;
}

function SelectSite() {

    if (ValidateSelectSiteForm()) {
        SaveUserConfig();

        setTimeout(function () {
            ShowSelectSiteIndicatior();
        }, 5);


        return true;
    }

    return false;
}

function LinkMySite() {

    setTimeout(function () {
        ShowSelectSiteIndicatior();
    }, 5);


    return true;
}

function linkMyAccount(url) {
    window.open(url);
    $("#LinkMyAccount").hide();
    $("#NonEditProfileLogin").show();
}

$(function () {

    //tooltips

    $('.help-tooltip').tooltip();

    $("#AccessCodeLabel").tooltip({
        items: 'label',
        position: {my: "left top+8", at: "right bottom", collision: "flipfit"}
    });

    $('#AccessCodeInput').tooltip({
        items: 'input',
        position: {my: "center top+8", at: "center+40 bottom", collision: "flipfit"}
    });

    $('#VerifyCodeLabel').tooltip({
        items: 'label',
        position: {my: "left top+5", at: "right bottom", collision: "flipfit"}
    });

    $('#VerifyCodeInput').tooltip({
        items: 'input',
        position: {my: "center top+8", at: "center+40 bottom", collision: "flipfit"}
    });

    $('#AgencyLabel').tooltip({
        items: 'label',
        position: {my: "left top+5", at: "right bottom", collision: "flipfit"}
    });

    $('#SiteLabel').tooltip({
        items: 'label',
        position: {my: "left top+5", at: "right bottom", collision: "flipfit"}
    });

    $('#LoginButton').tooltip({
        position: {my: "center top+5", at: "center bottom", collision: "flipfit"}
    });

    $('#UserInterfaceThemeLabel').tooltip({
        items: 'label',
        content: 'User interface theme options provide the ability to customize the look and feel of the JLV user interface. The user interface theme is an element of the user profile and will be applied to JLV each time you log in. <br/> <br/> The <b>Accessible</b> theme complies with Section 508 access standards and provides unique on-screen elements for users needing accommodation to assist with navigating the user interface and using JLV.'
    });

    $('#CommunityDataDisplayLabel').tooltip({
        items: 'label',
        content: 'When <b>Include Community Data</b> is selected, JLV will query for and integrate patient data into the JLV application from external DoD VLER community partner data sources.',
    });

    jQuery("#comboAgency").on("change", function () {
        OnChangeAgency($(this));
    });

    $("#EditProfileBtn").on('click', function () {
        ShowEditProfile(true);
    });

    $("#CancelEditBtn").on('click', function () {
        ShowEditProfile(false);
    });

});


