//= require ../jquery/button.js
//= require ./Control.js

AppKit.Button = AppKit.Control.extend({
    classID: 'appkit-button',
    options: {
        type: 'default'
    },
    initialize: function (options) {

        this.$el.button();
        this._super(options);

    },
    events: {
        click: 'fire'
    },
    type: function (aString) {
        if (aString !== undefined) {
            this.$el.removeClass('default');
            this.$el.removeClass('primary');
            this.$el.addClass(aString);
            this._type = aString;
        }

        return this._type;
    },
    label: function (aString) {
        if (aString)
            this.$el.button('option', 'label', aString);

        return this.$el.button('option', 'label');
    },
    enabled: function (aBool) {
        if (aBool !== undefined) {
            this.$el.button('option', 'disabled', !aBool);
            this.$el.removeAttr('disabled');
        }
        return this._super(aBool);
    }
});




