//= require ./Control.js
//= require ../jquery/menu.js

AppKit.MenuItem = AppKit.Control.extend({
    classID: 'appkit-menu-item',
    options: {
        tabindex: null,
        label: ""
    },
    initialize: function (options) {

        if (!options.label) {
            options.label = this.$el.text();
        }

        this._super(options);
    },
    events: {
        fire: 'fire'
    },
    label: function (aString) {

        if (aString !== undefined) {
            this.$el.text(aString);
            this.$el.attr('aria-label', aString);
        }

        return this.$el.text();
    }
});


AppKit.Menu = AppKit.View.extend({
    classID: 'appkit-menu',
    options: {
        hidden: true, menuItems: [], items: []
    },
    initialize: function (options) {
        this._super(options);

        this.$el.menu();
    },
    items: function (items) {
        if (items !== undefined) {

            var count = items.length,
                i = 0;

            for (; i < count; i++) {
                $('<div class="appkit-menu-item">')
                    .attr(items[i])
                    .awaken()
                    .appendTo(this.$el);

            }
        }
    },
    open: function (pos) {

        if (pos) {
            this.$el.css(pos);
        }

        this.$el.menu('open');
    },
    close: function () {
        this.$el.menu('close');
    },
    toggle: function () {
        if (this.$el.is(':visible'))
            this.close();
        else
            this.open();
    },
    menuItems: function (lst) {

        if (lst !== undefined) {
            var count = lst.length,
                i = 0;

            for (; i < count; i++) {
                var aMenuItem = lst[i];
                aMenuItem.$el.appendTo(this.$el);
            }
        }
    }
});