//= require ../JLV.js
//= require lib/AppKit.js

$(function () {

    $('.AppToolbarButton').button();

    $('.AppToolbarButton').on('mousedown', function (evt) {
        evt.preventDefault();
    });

    $('.AppToolbarButton').on('focus', function () {
        $(this).addClass('ui-state-focus');
    }).on('blur', function () {
        $(this).removeClass('ui-state-focus');
    });

    $('#HelpButton').on('click', function () {
        window.open('WebHelp/JLV_help.htm', "OnlineHelp", "status=1,resizable=1,scrollbars=1,menubar=0");
    });

    //sign out of app.
    $('#LogoutButton').on('click', function () {
        //do logout
        JLV.common.closeAuxBrowserWindows();
        window.parent.location = 'authenticate/logout';
    });

    $('#LogoutButton').on('keydown', function (evt) {
        if (evt.which === $.ui.keyCode.TAB) {
            if (!evt.shiftKey) {
                evt.preventDefault();
                var nextTab = $('#JLV-Desktop').nextInDOM('.ui-tab');
                if (nextTab.length) {
                    nextTab.focus();
                }
            }
        }
    });

    $('#PatientSearchToolbarButton').on('click', function () {
        $('#PatientSearchDialog').widget().set('visible', true);
    });

    $('#PatientSearchToolbarButton').on('keydown', function (evt) {
        if (evt.shiftKey) {
            evt.preventDefault();
            $('#AddWidgetButton').focus();
        }
    });

    $('#RestrictedUserToolbarButton').on('click', function () {
        $('#RestrictedUserDialog').widget().set('visible', true);
    });

    $('#SettingButton').on('click', function () {
        JLV.SettingsController.show();
    });


    $('#ReportBuilderButton').on('click', function () {

        if (JLV.Desktop.ScreenLaunchablesController.activeScreen === 'PatientPortal') {
            JLV.ReportBuilderController.show();
        }
        else {
            AppKit.AlertDialog.alert("Report Builder - Select a patient.", "A patient must be selected with a visible portal in order to use report builder.");
        }
    });

});


JLV.SettingsController = {
    show: function () {

        var theme = JLV.Session.ui_conf.options[0].theme,
            menu = JLV.Session.ui_conf.options[0].menu || 'bottom',
            vlerFlag = JLV.Session.dodVLER,
            dasvlerFlag = JLV.Session.dasVLER;

        $('input[name="theme"][value="' + theme + '"]').prop('checked', true);
        $('input[name="menuOrientation"][value="' + menu + '"]').prop('checked', true);

        $('#dodVLERCheckbox').prop('checked', vlerFlag);
        $('#dasVLERCheckbox').prop('checked', dasvlerFlag);

        this.dialog.center();
        this.dialog.set('visible', true);

        $('input[name="theme"][value="' + theme + '"]').focus();
    },
    hide: function () {
        this.dialog.set('visible', false);
    },
    apply: function () {
        var newTheme = $('input[name=theme]:checked').val(),
            menu = $('input[name=menuOrientation]:checked').val();

        var dodVLERFlag = $('#dodVLERCheckbox').is(':checked');
        var dasVLERFlag = $('#dasVLERCheckbox').is(':checked');

        JLV.Session.ui_conf.options[0].theme = newTheme;
        JLV.Session.ui_conf.options[0].menu = menu;

        JLV.Session.dodVLER = dodVLERFlag;
        JLV.Session.dasVLER = dasVLERFlag;
        JLV.NotificationCenter.postNotificationName(JLV.Desktop.SaveProviderPortalUINotification);

        this.hide();

        setTimeout(function () {
            window.location.reload(true);
        }, 250);
    }

};

