//= require ./PatientWidgetWindow.js

JLV.PatientHealthSummariesWidgetWindow = JLV.PatientWidgetWindow.extend({
    options: {
        name: 'Health Summaries',
        status: true,
        filter: true,
        clipboard: true,
        print: true,
        refresh: true,
        filters: ['site'],
        columns: [
            {
                title: 'Description',
                width: '45%',
                id: 'name',
                sorter: JLV.common.linkTextSorter,
                formatter: function (value, model) {
                    if (value == undefined || value == null || value == "") {
                        value = "Description was not supplied"
                    }
                    if (model.get('recordDetailsToken'))
                        return JLV.common.linkFormatter(value, model);

                    return value;
                }
            },
            {
                title: 'Type',
                width: '30%',
                id: 'locale'
            },
            {
                title: 'Site',
                width: 100,
                id: 'site',
                sorter: JLV.common.siteSorter,
                formatter: JLV.common.formatSiteMonikerDisplay
            }
        ]
    }
});