//= require ./PatientWidgetWindow.js

JLV.PatientPrescriptionFillsWindow = JLV.PatientWidgetWindow.extend({
    options: {
        name: 'Outpatient Medication Refills - VA Only',
        closable: true,
        filter: false,
        print: true,
        refresh: false,
        status: false,
        clipboard: true,
        width: 800,
        height: 440,
        gridHeaderHeight: 30,
        columns: [
            {
                width: 120,
                title: 'Fill Date',
                sortable: true,
                id: 'lastFilledDate',
                formatter: JLV.common.dateFormatter
            },
            {
                width: 120,
                title: 'Release <br/> Date',
                sortable: true,
                id: 'releaseDate',
                formatter: JLV.common.dateFormatter
            },
            {
                id: 'drugName',
                width: 120,
                title: 'Drug',
                sortable: true
            },
            {
                width: 120,
                title: 'Quantity',
                sortable: true,
                id: 'quantity'
            },
            {
                width: 120,
                title: 'Days <br/>Supply',
                sortable: true,
                id: 'daysSupply'
            },
            {
                width: 120,
                title: 'Routing',
                sortable: true,
                id: 'routing'
            },
            {
                width: 120,
                title: 'Partial',
                sortable: true,
                id: 'partial'
            },
            {
                width: 120,
                title: 'Fill <br/> Expiration',
                sortable: true,
                id: 'expirationDate',
                formatter: JLV.common.dateFormatter
            },
            {
                width: 150,
                title: 'Dispensing <br/> Pharmacy',
                sortable: true,
                id: 'dispensingPharmacy'
            },
            {
                width: 80,
                title: 'Sig',
                sortable: true,
                sorter: JLV.common.linkTextSorter,
                id: 'sig',
                formatter: function (value, model) {
                    if (model && model.get('sig')) {
                        return model.get('sig');
                    }
                    else {
                        return "";
                    }
                }
            }
        ],
        defaultSort: {
            id: 'lastFilledDate',
            asc: false
        }
    }
});