//= require ProviderWidget.js

JLV.ProviderAppointmentsCollection = JLV.DateFilteredDataCollection.extend({
    url: 'providerAppointments/list.json',
    model: JLV.WidgetDataModel.extend({
        dateFields: ['appointmentDate']
    })
});

JLV.ProviderAppointments = JLV.ProviderWidget.extend({
    options: {
        data: JLV.ProviderAppointmentsCollection,
        widgetId: 'prov_appointments_widget',
        name: 'Appointments',
        dateFilter: true,
        //vlerDomain: (JLV.Session.dodVLER !== undefined && JLV.Session.dodVLER),
        status: false,
        clipboard: true,
        print: true,
        refresh: true,
        columns: [
            {
                title: 'Date',
                id: 'appointmentDate',
                formatter: function (value, model) {
                    if (model && model.get('recordDetailsToken')) {
                        return JLV.common.linkDateFormatter(value, model, 'MMM DD, YYYY');
                    }
                    else {
                        return JLV.common.dateFormatter(value, model, 'MMM DD, YYYY');

                    }
                },
                sortable: true,
                width: 80
            },
            {
                title: 'Clinic',
                id: 'clinic',
                width: 80,
                sortable: true
            },
            {
                id: 'patientName',
                title: 'Patient',
                width: 70,
                sortable: true,
                formatter: function (value, model) {
                    if (model.get('patientToken')) {
                        JLV.common.linkFormatter(value, model);
                    }

                    return value;
                }
            },
            {
                title: 'Site',
                id: 'site',
                sorter: JLV.common.siteSorter,
                width: 60,
                formatter: JLV.common.formatSiteMonikerDisplay
            }
        ],
        defaultSort: {
            id: 'appointmentDate',
            asc: false
        }
    },
    /*toggleDateFilterPanel: function () {
        if (!this._dateFilterPanel) {
            var data = this.get('data');
            if (data) {
                if (data.startDate !== undefined && data.endDate !== undefined) {
                    this._dateFilterPanel = new JLV.Widget.AppointmentsDateFilterPanel({
                        widget: this,
                        startDate: data.startDate.toDate(),
                        endDate: data.endDate.toDate()
                    });

                    this._dateFilterPanel.$el.prependTo(this._body);
                    this._dateFilterPanel.$el.hide();
                }
            }
        }

        this._super();
     },*/
    itemClicked: function (model) {

        if (model.get('patientToken')) {
            JLV.PatientSearch.Select(
                new Backbone.Model({
                    patientToken: model.get('patientToken'),
                    name: model.get('patientName')

                })
            )
        }
    }
});

JLV.registerJLVWidget('prov_appointments_widget', JLV.ProviderAppointments);