package jlv

import gov.va.med.common.HttpKeys
import org.springframework.stereotype.Controller

@Controller
class AuditUserActionController extends BaseController {
    def auditDao

    static allowedMethods = [auditDetails: 'POST']

    def beforeInterceptor = {
        if (request.patient == null) {
            response.sendError 500
            return false;
        }
    }

    def auditDetails = {
        def recordSiteAgency = params[HttpKeys.RECORD_SITE_AGENCY]
        def recordSiteMoniker = params[HttpKeys.RECORD_SITE_MONIKER]
        def recordItemId = params[HttpKeys.RECORD_ITEM_ID]
        def recordType = params[HttpKeys.RECORD_TYPE]
        def info = params[HttpKeys.INFO]
        def eventId = params[HttpKeys.EVENT_ID]
        if (!recordItemId) {
            recordItemId = eventId
        }
        def widgetName = params[HttpKeys.WIDGET_NAME]
        if(widgetName) {
            recordType = widgetName + '^' + recordType
        }

        auditDao.auditDetailsQuery(recordType, info, session.appUser, request.patient, null, recordItemId, recordSiteMoniker, recordSiteAgency)
        sendResponse([success: "true"])
    }

}
