package jlv

import gov.va.med.common.HttpKeys

class PatientHealthSummariesController extends BaseController {

    def healthSummariesDao

    static allowedMethods = [list: 'POST', details: 'POST']

    def beforeInterceptor = {

        if (request.patient == null) {
            response.sendError 500
            return false
        }

        if (actionName == 'details') {
            if (request.recordQuery == null) {
                response.sendError 500
                return false
            }
        }
    }


    def list = {
        def typeList = healthSummariesDao.getPatientHealthSummaryTypes(
                session.appUser, request.patient
        )

        typeList.each { type ->

            def queryMap = [(HttpKeys.RECORD_ITEM_ID): type.getId(),
                            (HttpKeys.RECORD_SITE_MONIKER): type.site.moniker,
                            (HttpKeys.RECORD_SITE_AGENCY) : type.site.agency]

            type.setRecordDetailsToken(
                    generateRecordDetailsToken(
                            params[HttpKeys.PATIENT_TOKEN],
                            controllerName,
                            queryMap,
                            type.getSite(),
                            type.getSourceProtocol()
                    )
            )
        }

        sendResponse(typeList)

    }


    def details = {

        def hsDetails = healthSummariesDao.getPatientHealthSummary(
                session.appUser,
                request.patient,
                request.recordQuery[HttpKeys.RECORD_ITEM_ID],
                request.recordQuery[HttpKeys.RECORD_SITE_CODE]
        )

        sendResponse(hsDetails)
    }

}
