/*
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *             Honorable Senator Daniel K. Inouye
 *             VA Pacific Islands Health Care System
 *             Tripler Army Medical Center
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at:
 *
 *            http://www.apache.org/licenses/LICENSE-2.0.txt
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and limitations under the License.
 */


package jlv

import gov.va.med.common.HttpKeys

class PatientMedWebController extends BaseController {

    def radiologyDao

    def beforeInterceptor = {

        if (request.patient == null ||
                request.recordQuery == null) {
            response.sendError 500
            return false;
        }
    }

    def index = {


        def guiMedWebAccessBean = radiologyDao.getMedWebAccessBean(
                session.appUser,
                request.patient,
                request.recordQuery[HttpKeys.RADIOLOGY_ACCESSION_NUMBER],
                request.recordQuery[HttpKeys.MEDWEB_URL],
                request.recordQuery[HttpKeys.MEDWEB_USR],
                request.recordQuery[HttpKeys.MEDWEB_PWD],
                request.recordQuery[HttpKeys.MEDWEB_AETITLE],
                request.recordQuery[HttpKeys.MEDWEB_ACCESSION_PREFIX])

        [guiMedWebAccessBean: guiMedWebAccessBean]
    }
}
