/*
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *             Honorable Senator Daniel K. Inouye
 *             VA Pacific Islands Health Care System
 *             Tripler Army Medical Center
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at:
 *
 *            http://www.apache.org/licenses/LICENSE-2.0.txt
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and limitations under the License.
 */


package jlv

import gov.va.med.common.HttpKeys
import gov.va.med.vhahon.common.Utils

class ProviderOrdersPendingController extends BaseController {
    def orderDao

    static allowedMethods = [list: 'POST']

    def beforeInterceptor = {

        if (session.appUser == null) {
            response.sendError 500
            return false;
        }

        dateRangeCheck();
    }

    def list = {

        def guiOrders = orderDao.getProviderOrdersPending(
                session.appUser,
                Utils.getCal(request[HttpKeys.START_DATE]),
                Utils.getCal(request[HttpKeys.END_DATE]),
                session.appUser.securityKey)

//		//generate record details token
//		if (guiOrders != null)
//		{
//			for(def guiOrder : guiOrders)
//			{
//				//chcs does not support order details
//				if (appConfig.agencyDOD == guiOrder.getSite().getAgency() &&
//					StringUtils.isNotEmpty(guiOrder.getOrderId()))
//				{
//					def queryMap = [(HttpKeys.ORDER_ID): guiOrder.getOrderId()]
//					guiOrder.setRecordDetailsToken(
//						generateRecordDetailsToken(
//                            guiOrder.getPatientToken(),
//                            "patientOrders",
//							queryMap,
//							guiOrder.getSite(),
//                            guiOrder.getSourceProtocol(),
//                            false))
//				}
//                if (grailsApplication.config.scramble=="true"){
//                    guiOrder.setPatientName(Demo.scramble(guiOrder.patientName));
//                }
//			}
//		}

        sendResponse(guiOrders)
    }
}
