%{--
  - Janus 4.0 (c)
  - Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
  - Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
  - Contributors:
  -             Honorable Senator Daniel K. Inouye
  -             VA Pacific Islands Health Care System
  -             Tripler Army Medical Center
  -
  - Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License.
  -
  - You may obtain a copy of the License at:
  -
  -            http://www.apache.org/licenses/LICENSE-2.0.txt
  -
  - Unless required by applicable law or agreed to in writing, software
  - distributed under the License is distributed on an "AS IS" BASIS,
  - WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  - See the License for the specific language governing permissions and limitations under the License.
  --}%


<!DOCTYPE html>
<%@ page contentType="text/html;charset=UTF-8" %>
<html xml:lang="en" lang="en" xmlns="http://www.w3.org/1999/html">

<head>

    <meta name="description" content="JLV select site or link my site page">
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>

    <g:if test="${grailsApplication.config.grails.appLocation != null && grailsApplication.config.grails.appLocation.size() > 0}">
        <title>JLV - (hosted at ${grailsApplication.config.grails.appLocation})</title>
    </g:if>
    <g:else>
        <title>JLV - Select Site or Link my site</title>
    </g:else>

    <asset:javascript src="authenticate/login.js"/>
    <asset:stylesheet src="authenticate/style.css"/>

    <script type="text/javascript">

        $(function () {
            var agreement = ${raw(agreement)};
            if (!agreement) {
                setTimeout(function () {
                    ShowAgreement();
                }, 10);
            }

        });
    </script>

</head>

<body>

<asset:image src="JLV_Logo.png" id="JLVLogo"
             alt="J L V - a DoD and Department of Veterans Affairs joint project"></asset:image>

<div id="CenterLoginForm">

    <g:form controller="authenticate" action="linkMySite" name="linkMySiteForm" onsubmit="window.parent.location = 'logout';">

        <div id="LinkMyAccount">
            <p>JLV did not identify your home VistA site.  Click “Select Home Site” to select your home VistA site” or “Link My Site” to link VistA to user.</p>

            <div id="SelectButton">
                <input class="help-tooltip" type="button" id="SelectSiteBtn" tabindex=""
                       title="Click to select home site."
                       value="Select Home Site" onClick="window.parent.location = 'selectSite?agreement=true';"/>
            </div>

            <div id="LinkButton">
                <input class="help-tooltip" type="button" id="LinkMyAccountBtn" tabindex=""
                       title="Click to link my site."
                       value="Link My Site" onClick="window.parent.location = 'linkMySite?agreement=true';"/>
            </div>
        </div>

        <div id="JLVHelpBtn" class="help-tooltip">
            <a title="Click to open the JLV help system."
               href="<g:resource dir="WebHelp" file="JLV_help.htm"/>">JLV Help</a>
        </div>

        <input type="hidden" id="AcceptedAgreementInput" name="acceptedAgreement" value='${raw(agreement)}'/>
        <input type="hidden" name="csrf-token" value="${csrfToken}"/>

    </g:form>

</div>

<div id="Agreement-Overlay"></div>

<g:if test="${grailsApplication.config.grails.appVersion != null && grailsApplication.config.grails.appVersion.size() > 0}">
    <div>Build ${grailsApplication.config.grails.appVersion}</div>
</g:if>
<g:else>
    <div>Build 2.4</div>
</g:else>


<div id="huiLogo">
    <a href="http://www.pacifichui.org/" target=_blank
       alt="Pacific Telehealth &amp; Technology Hui" tabIndex="8">
        <asset:image src="loginHui.png" alt="Hui logo"/>
    </a>
</div>


<div id="LoginFooter">
    <p id="LoginFooterText">
        You are accessing a U.S. Government (USG) Information System (IS) that is provided for USG-authorized use only.
        By using this IS (which includes any device attached to this IS), you consent to the following conditions:
        The USG routinely intercepts and monitors communications on this IS for purposes including, but not limited to, penetration testing, COMSEC monitoring, network operations and defense, personnel misconduct (PM), law enforcement (LE), and counterintelligence (CI) investigations.
        At any time, the USG may inspect and seize data stored on this IS.
        Communications using, or data stored on, this IS are not private, are subject to routine monitoring, interception, and search, and may be disclosed or used for any USG-authorized purpose.
        This IS includes security measures (e.g., authentication and access controls) to protect USG interests—not for your personal benefit or privacy.
        Notwithstanding the above, using this IS does not constitute consent to PM, LE, or CI investigative searching or monitoring of the content of privileged communications, or work product, related to personal representation or services by attorneys, psychotherapists, or clergy, and their assistants. Such communications and work product are private and confidential.
    </p>
</div>

<div id="CenterPopup" role="alertdialog">
    <div id="Agreement">

        <div id="AgreementContent">
            <p>
                YOU ARE ACCESSING A U.S. GOVERNMENT (USG) INFORMATION SYSTEM (IS) THAT IS PROVIDED FOR USG-AUTHORIZED USE ONLY.<br/><br/>
                By using this IS (which includes any device attached to this IS), you consent to the following conditions:<br/>
            <ul id="AgreementList">
                <li>The USG routinely intercepts and monitors communications on this IS for purposes including, but not limited to, penetration testing, COMSEC monitoring, network operations and defense, personnel misconduct (PM), law enforcement (LE), and counterintelligence (CI) investigations.
                <li>At any time, the USG may inspect and seize data stored on this IS.
                <li>Communications using, or data stored on, this IS are not private, are subject to routine monitoring, interception, and search, and may be disclosed or used for any USG-authorized purpose.
                <li>This IS includes security measures (e.g., authentication and access controls) to protect USG interests--not for your personal benefit or privacy.
            <li>Notwithstanding the above, using this IS does not constitute consent to PM, LE or CI investigative searching or monitoring of the content of privileged communications, or work product, related to personal representation or services by attorneys, psychotherapists, or clergy, and their assistants. Such communications and work product are private and confidential.

                <g:if test="${loginAgency == 'DOD'}">
                    <li>
                        If this viewer is used to access electronic protected health information (ePHI) from a
                        community health partner, use of this feature constitutes agreement to comply as a
                        Participant User with the Data Use and Reciprocal Support Agreement (DURSA) signed
                        by the DoD <a target="_blank"
                                      href="http://sequoiaproject.org/ehealth-exchange/onboarding/dursa/">(Link to DURSA)</a>. Any request for, or use or disclosure of, ePHI must be for a
                    permitted purpose and in accordance with the terms and conditions of the DURSA. Further,
                    if a Breach occurs, you agree to report such Breach to [the DHA Privacy and Civil Liberties
                    Office] as soon as reasonably practicable.
                    </li>
                </g:if>

            </ul>
        </p>

            <div class="acceptButton">
                <button id="accept" tabindex="0" onclick="AcceptAgreement();" title="Welcome to the Janus Joint Legacy Viewer Application. Press spacebar to accept this agreement. YOU ARE ACCESSING A U S  GOVERNMENT INFORMATION SYSTEM THAT IS PROVIDED FOR U S  GOVERNMENT AUTHORIZED USE ONLY.

                            By using this INFORMATION SYSTEM (which includes any device attached to this INFORMATION SYSTEM), you consent to the following conditions:

                            The U S  GOVERNMENT routinely intercepts and monitors communications on this INFORMATION SYSTEM for purposes including, but not limited to, penetration testing, COMSEC monitoring, network operations and defense, personnel misconduct, law enforcement, and counterintelligence investigations.

                            At any time, the U S GOVERNMENT may inspect and seize data stored on this INFORMATION SYSTEM.

                            Communications using, or data stored on, this INFORMATION SYSTEM are not private, are subject to routine monitoring, interception, and search, and may be disclosed or used for any U S  GOVERNMENT authorized purpose.

                            This INFORMATION SYSTEM includes security measures (e.g., authentication and access controls) to protect U S  GOVERNMENT interests not for your personal benefit or privacy.

                            Notwithstanding the above, using this IS does not constitute consent to personnel misconduct, law enforcement, or counterintelligence investigative searching or monitoring of the content of privileged communications, or work product, related to personal representation or services by attorneys, psychotherapists, or clergy, and their assistants. Such communications and work product are private and confidential.  Press Spacebar to accept.">I Accept</button>

            </div>

        </div>
    </div>
</div>

</body>
</html>
