<html>
<head>

    <title>JLV - Invalid Access</title>
    <style type="text/css">
    #messageTitle {
        background-color: #222;
        font-weight: bold;
        font-size: 18px;
        margin: 20px;
        color: #F00;
        text-align: center;
    }

    .message {
        font-size: 12px;
        color: #FFF;
        width: 600px;
        text-align: left;
        border: 1px solid black;
        padding: 25px;
        background-color: #333;

        margin: 0 auto;
    }

    a {
        color: #77ABF8;
        margin: 8px;
    }


    #errorContent {
        text-align: center;
    }

    #JLVLogo {
        margin-top: 30px;
    }
    </style>
    %{--<asset:stylesheet src="fonts/opensans/style.css"/>--}%
    <asset:link rel="icon" href="favicon.ico" type="image/x-icon"/>
    <asset:stylesheet src="fonts/opensans/style.css"/>
    <asset:stylesheet id="fonts-css" src="AppKit/icons/style.css"/>
    <asset:stylesheet src="app/app.css"/>
    %{--<link rel="stylesheet" href="${resource(dir: 'css', file: 'login.css')}"/>--}%
    <script>
        var loadMesg = function (errorMesg) {
            var msgTitle = "";
            var msgText = "";

            switch (errorMesg) {
                case "SSLRequired":
                    msgTitle = "SSL Required";
                    msgText = "The page must be viewed over a secure channel. <br/> " +
                    "The page you are trying to view requires the use of \"https\" in the address.<br/><br/> " +
                    "Please try the following:<br/> " +
                    "Try again by typing https:// at the beginning of the address you are attempting to reach. ";
                    break;
                case "SmartCardRequired":
                    msgTitle = "Smart Card Required"
                    msgText = "The page you are trying to view requires the use of a SmartCard (DoD CAC or VA PIV).<br/><br/>" +
                            "Please insert a CAC/PIV into your SmartCard Reader, restart your browser session and try again.  <g:if test='${grailsApplication.config.grails.appDeploymentAgency.equals("VA")}'><a target=\"_blank\" href=\"<g:resource dir='WebHelp' file='loginerrors.htm'/>\">Need Help?</a></g:if><g:else><a target=\"_blank\" href=\"<g:resource dir='WebHelp' file='loginErrorsDoD.htm'/>\">Need Help?</a></g:else>"
                    break;
                case "UserAccessDenied-Expired":
                    msgTitle = "Access denied"
                    msgText = "Your certificate is expired."
                    break;
                case "UserAccessDenied-NotYetValid":
                    msgTitle = "Access denied"
                    msgText = "Your certificate is not yet valid."
                    break;
                case "UserAccessDenied-Invalid":
                    msgTitle = "Access denied"
                    msgText = "An invalid certificate was supplied."
                    break;
                case "UserAccessDenied":
                    msgTitle = "Access denied. You are not an authorized user."
                    msgText = "Access denied. You are not an authorized user. <g:if test='${grailsApplication.config.grails.appDeploymentAgency.equals("VA")}'><a target=\"_blank\" href=\"<g:resource dir='WebHelp' file='loginerrors.htm'/>\">Need Help?</a></g:if><g:else><a target=\"_blank\" href=\"<g:resource dir='WebHelp' file='loginErrorsDoD.htm'/>\">Need Help?</a></g:else>"
                    break;
                case "ProfileRetrieve":
                    msgTitle = "Login Error"
                    msgText = "There was an error retrieving your user profile."
                    break;
                case "AHLTALoginError-Sites":
                    msgTitle = "AHLTA Login Error"
                    msgText = "There was an error retrieving the sites list."
                    break;
                case "AHLTALoginError-ProfileSave":
                    msgTitle = "AHLTA Login Error"
                    msgText = "There was an error while attempting to save your user profile."
                    break;
                case "AHLTALoginError-Profile":
                    msgTitle = "AHLTA Login Error"
                    msgText = "There was an error retrieving your user profile."
                    break;
                case "AHLTALoginError-PDWSRetrieve":
                    msgTitle = "AHLTA Login Error"
                    msgText = "There was an error retrieving this patient via PDWS"
                    break;
                case "AHLTALoginError":
                    msgTitle = "AHLTA Login Error"
                    msgText = "There was an error opening JLV."
                    break;
                case "ErrorCreatingProfile":
                    msgTitle = "There was an error while attempting to create your profile."
                    msgText = "There was an error while attempting to create your profile.  Please close all browser windows and try again, or contact a system administrator. <g:if test='${grailsApplication.config.grails.appDeploymentAgency.equals("VA")}'><a target=\"_blank\" href=\"<g:resource dir='WebHelp' file='loginerrors.htm'/>\">Need Help?</a></g:if><g:else><a target=\"_blank\" href=\"<g:resource dir='WebHelp' file='loginErrorsDoD.htm'/>\">Need Help?</a></g:else>"
                    break;
                case "SnareworksIssue":
                    msgTitle = "There was an error while attempting to authenticate."
                    msgText = "There was an error while attempting to authenticate.  The authentication server (Snareworks) appears to be down at the moment.  Please try again later."
                    break;
                case "SSOiCookieError":
                    msgTitle = "SSOi Cookie Error"
                    msgText = "There was an error retrieving SSOi Cookie."
                    break;
                case "SSOiHeaderError":
                    msgTitle = "SSOi Header Error"
                    msgText = "There was an error retrieving SSOi Header."
                    break;
                case "SitesRetrieveError":
                    msgTitle = "Login Error"
                    msgText = "There was an error retrieving the sites list."
                    break;
                case "SSOiSAMLTokenRetrieveError":
                    msgTitle = "SSOi SAML Token Error"
                    msgText = "There was an error retrieving the SSOi SAML token."
                    break;
                case "SSOiSAMLLoginError":
                    msgTitle = "SSOi SAML Login Error"
                    msgText = "There was an error authenticate user."
                    break;
                default:
                    msgTitle = "Error Detected"
                    msgText = "We've hit a small bump.  The data services may be down at this time."
                    break;
            }
            document.getElementById('messageTitle').innerHTML = msgTitle;
            document.getElementById('messageText').innerHTML = msgText;
        };
    </script>
</head>

<body class="loginBODY" onload="loadMesg('${request.'javax.servlet.error.message'}');">
<div id="errorContent">

    <asset:image src="JLV_Logo.png" id="JLVLogo"
                 alt="J L V - a DoD and Department of Veterans Affairs joint project"></asset:image>
    <BR/><BR/><BR/><BR/>

    <div class="message">
        <div id="messageTitle"></div>
        <span id="messageText"></span>
        <br/>
    </div>

</div>
</body>
</html>