package gov.va.med.dao;

import gov.va.med.jmeadows.webservice.AuthUserInfo;
import org.springframework.stereotype.Component;

@Component
public class AuthUserDao extends DaoBase {
    /**
     * Retrieves authorized user information.
     *
     * @param authUserInfoQuery {@link gov.va.med.jmeadows.webservice.AuthUserInfo} User to lookup for authorization
     * @return Authorized user information if user exist in database.
     */
    public AuthUserInfo getAuthUser(AuthUserInfo authUserInfoQuery) {
        try {
            AuthUserInfo authUserInfo = getServiceHandler().getAuthUser(authUserInfoQuery);
            return authUserInfo;
        } catch (Exception e) {
            throw new DaoException(e);
        }
    }
}
