package gov.va.med.dao;

import gov.va.med.guibeans.GUIPatient;
import gov.va.med.guibeans.GUIUser;
import gov.va.med.guibeans.GUIVLER;
import gov.va.med.guibeans.GUIVlerDocument;
import gov.va.med.jmeadows.JMeadowsServiceHandler;
import gov.va.med.jmeadows.webservice.JMeadowsQuery;
import gov.va.med.jmeadows.webservice.VlerDocument;
import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

/**
 * Created with IntelliJ IDEA.
 * User: yidali
 * Date: 5/19/14
 * Time: 1:42 PM
 * To change this template use File | Settings | File Templates.
 */
@Component
public class VLERDao extends DaoBase {
    private static final Logger logger = Logger.getLogger(VLERDao.class.getName());

    @Autowired
    protected JMeadowsServiceHandler extServiceHandler;

//    public List<GUIVLER> getPatientVLERSites(GUIUser user, GUIPatient patient, String status) {
//        try {
//
//            List<GUIVLER> guiVLERs = new ArrayList<GUIVLER>();
//
//            GUIVLER vlertwo = new GUIVLER();
//            vlertwo.setDocumentURL("xxx");
//            vlertwo.setDocument("Continuity of Care Document");
//            vlertwo.setOrganization("VA");
//            vlertwo.setVlerSite("xxx");
//            guiVLERs.add(vlertwo);
//
//
//            GUIVLER vlerNY2 = new GUIVLER();
//            vlerNY2.setDocumentURL("xxx");
//            vlerNY2.setDocument("Summarization of Episode");
//            vlerNY2.setOrganization("VA");
//            vlerNY2.setVlerSite("xxx");
//            guiVLERs.add(vlerNY2);
//
//            GUIVLER vlerVA = new GUIVLER();
//            vlerVA.setDocumentURL("xxx");
//            vlerVA.setDocument("Summarization of Episode");
//            vlerVA.setOrganization("VA");
//            vlerVA.setVlerSite("xxx");
//            guiVLERs.add(vlerVA);
//
//            return guiVLERs;
//
//        } catch (Exception ex) {
//            throw new DaoException(ex);
//        }
//    }
//
//    public List<String> getVLER32(GUIUser user, GUIPatient patient, String status) {
//        try {
//            List<String> documents = new ArrayList<String>();
//
//
//            return documents;
//        } catch (Exception e) {
//            throw new DaoException(e);
//        }
//    }


    /**
     * Fetches a VLER C32 document and stuffs it into a VLERDocument obj.
     *
     * @param user GUI user
     * @param vDoc VLERDocument object with required fields (HomeCommunityID, RepositoryId, DocumentID)
     * @return Note Image
     */
    public VlerDocument getVLERDocument(GUIUser user, GUIPatient patient, VlerDocument vDoc) {
        try {
            return getExtServiceHandler().getVLERDocument(
                    jMeadowsQueryBuilderFactory.getBuilder()
                            .user(user)
                            .patient(patient)
                            .build(),
                    vDoc);

        } catch (Exception e) {
            throw new DaoException(e);
        }
    }

    /**
     * Fetches a list of VLER Documents.
     *
     * @param user    GUI user
     * @param patient GUIPatient
     * @return list of VlerDocuments
     */
    public List<GUIVlerDocument> getVLERDocumentList(GUIUser user, GUIPatient patient) {
        try {
            VlerDocument[] vlerDocs = getExtServiceHandler().getVLERDocumentList(
                    jMeadowsQueryBuilderFactory.getBuilder()
                            .user(user)
                            .patient(patient)
                            .build());

            List<GUIVlerDocument> guiVlerDocuments = new ArrayList<GUIVlerDocument>();
            for (VlerDocument vDoc : vlerDocs) {
                guiVlerDocuments.add(dozerBeanMapper.map(vDoc, GUIVlerDocument.class));
            }
            return guiVlerDocuments;
        } catch (Exception e) {
            throw new DaoException(e);
        }
    }



    protected JMeadowsServiceHandler getExtServiceHandler() {
        return extServiceHandler;
    }
}
