package gov.va.med.monitor;

import gov.va.med.jmeadows.common.AppConfig;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import javax.mail.Message;
import javax.mail.MessagingException;
import javax.mail.Session;
import javax.mail.Transport;
import javax.mail.internet.InternetAddress;
import javax.mail.internet.MimeMessage;
import java.util.Date;
import java.util.Properties;

public class EmailHandler
{
    private static final Logger logger = LoggerFactory.getLogger(EmailHandler.class);
    private static final EmailHandler INSTANCE = new EmailHandler();

    public static EmailHandler getInstance()
    {
        return INSTANCE;
    }

    public void email(String emailSubject, String emailBody)
    {
        try
        {
            // TODO: Remove temp code when done testing
            //////////////////// TEMP - BEGIN ////////////////////
//            System.out.print(emailBody);
            //////////////////// TEMP - END ////////////////////



            AppConfig appConfig = AppConfig.getInstance();

            String from = appConfig.getEmailFrom();
            String [] rcpts =  appConfig.getEmailTo().split(";");
            InternetAddress [] rcptList = new InternetAddress[rcpts.length];
            for (int i = 0; i < rcpts.length; i++)
            {
                try{
                    rcptList [i] = new InternetAddress(rcpts[i]);
                } catch (Exception e ){
                    logger.error("JLVQoS EmailHandler: invalid email address detected: {}:: \n{}", rcpts[i], e.getMessage());
                }

            }

            Properties props = System.getProperties();
            props.put("mail.smtp.host", appConfig.getEmailHost());
            props.put("mail.smtp.timeout", "10000");
            props.put("mail.smtp.connectiontimeout", "10000");

            Session session = Session.getInstance(props, null);

            MimeMessage message = new MimeMessage(session);
            message.setFrom(new InternetAddress(from));
            message.setRecipients(Message.RecipientType.TO, rcptList);

            String subject = AppConfig.getInstance().getEmailSrcSys() + emailSubject;
            if(emailBody.indexOf("No errors detected")>0)
                subject += "NO ERRORS DETECTED";
            else
                subject += (new Date()).toString();
            message.setSubject(subject);
            message.setText(emailBody);

            Transport.send(message);
        }
        catch (MessagingException e)
        {
            logger.error("JLVQoS::EmailHandler::email(): \n" + e.getMessage());
        }
    }
}
