package gov.va.med.monitor;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.ArrayList;
import java.util.List;

public class ServiceMonitor extends AbstractServiceMonitor
{
    private static final Logger logger = LoggerFactory.getLogger(ServiceMonitor.class);

    private static ServiceMonitor INSTANCE = new ServiceMonitor();

    public static ServiceMonitor getInstance()
    {
        return INSTANCE;
    }

    public ServiceMonitor() {
        super();
    }

    @Override
    protected List<ServiceBase> populateMonitorList() {
        List<ServiceBase> monitorList = new ArrayList<ServiceBase>();

        if (APP_CONFIG.isServiceMonitorTestBRS()) {
            monitorList.add(BHIERelayService.getInstance());
        }
        if (APP_CONFIG.isServiceMonitorTestJMDS()) {
            monitorList.add(JMeadowsService.getInstance());
        }
        if (APP_CONFIG.isServiceMonitorTestMVI()) {
            monitorList.add(MVIService.getInstance());
        }
        if (APP_CONFIG.isServiceMonitorTestPDWS()) {
            monitorList.add(PDWSService.getInstance());
        }
        if (APP_CONFIG.isServiceMonitorTestVDS()) {
            monitorList.add(VistaDataService.getInstance());
        }
        if (APP_CONFIG.isServiceMonitorTestShare()) {
            monitorList.add(ShareService.getInstance());
        }
        if (APP_CONFIG.isServiceMonitorTestSnareworks()) {
            monitorList.add(SnareworksService.getInstance());
        }

        return monitorList;
    }
}
