package gov.va.med.monitor;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.ArrayList;
import java.util.List;

public class VistaStatusServiceMonitor extends AbstractServiceMonitor {

    private static final VistaStatusServiceMonitor INSTANCE = new VistaStatusServiceMonitor();

    private static final Logger logger = LoggerFactory.getLogger(VistaStatusServiceMonitor.class);

    public static VistaStatusServiceMonitor getInstance()
    {
        return INSTANCE;
    }

    public VistaStatusServiceMonitor() {
        super();

        //exclude bhie share checks
        allowBhieShareCheck = false;

        emailSubject = " - JLVQoS VistA Host Status Report: ";
    }

    @Override
    protected List<ServiceBase> populateMonitorList() {
        List<ServiceBase> monitorList = new ArrayList<ServiceBase>();

        monitorList.add(VistaStatusService.getInstance());

        return monitorList;
    }
}
