/*
 * Janus 4.0 (c)
 * Copyright (c) 2013 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *      Honorable Senator Daniel K. Inouye
 *      VA Pacific Islands Health Care System
 *      Tripler Army Medical Center
 */
 
 
package gov.va.med.rpc;

/**
 *
 *
 */
public class DdrFiler extends DdrQuery {
    private String operation;
    private String[] args;

    public DdrFiler(RPCConnection cxn) {
        super(cxn);
    }

    protected String buildRequest() throws RPCException {
        if (operation == null || "".equals(operation)) {
            throw new RPCException("Must have an operation");
        }
        VistaQuery vquery = vistaQueryFactory.getVistaQuery("DDR FILER");
        vquery.addParameter(VistaQuery.LITERAL, operation);
        DictionaryHashList lst = new DictionaryHashList();
        for (int i = 0; i < args.length; i++) {
            lst.add(Integer.toString(i + 1), args[i]);
        }
        vquery.addParameter(VistaQuery.LIST, lst);
        return vquery.buildMessage();
    }

    public String execute() throws RPCException {
        String request = buildRequest();
        return this.execute(request);
    }

    public String[] getArgs() {
        String[] rtc = null;
        if (args != null) {
            rtc =  args.clone();    
        }
        return rtc;
    }

    public void setArgs(String[] inargs) {
        if (inargs == null) {
            this.args = null;
        } else {
            this.args = inargs.clone();
        }
    }

    public String getOperation() {
        return operation;
    }

    public void setOperation(String operation) {
        this.operation = operation;
    }
}
