/*
 * Janus 4.0 (c)
 * Copyright (c) 2013 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *      Honorable Senator Daniel K. Inouye
 *      VA Pacific Islands Health Care System
 *      Tripler Army Medical Center
 */
 
 
package gov.va.med.rpc;

/**
 *
 *
 */
public class DdrQuery {
    protected VistaQueryFactory vistaQueryFactory;
    
    private final RPCConnection cxn;
    

    public DdrQuery(RPCConnection cxn) {
        this.cxn = cxn;

        vistaQueryFactory = VistaQueryFactoryUtil.getVistaQueryFactory(this.cxn.getConnectionStrategy());
    }

    public String execute(String request) throws RPCException {
        String currentContext = cxn.getCurrentContext();
        if (!currentContext.equals(VistaConstants.CAPRI_CONTEXT)) {
//            if (!cxn.setContext(VistaConstants.CAPRI_CONTEXT))
            cxn.setContext(VistaConstants.CAPRI_CONTEXT);
//            {
//                throw new RPCException("Unable to set CAPRI context");
//            }
        }
        String response;
        response = (String) cxn.query(request);
        if (!currentContext.equals(VistaConstants.CAPRI_CONTEXT)) {
            cxn.setContext(currentContext);
//            if (!cxn.setContext(currentContext))
//            {
//                throw new RPCException("Unable to reset " + currentContext + " context");
//            }
        }
        return response;
    }

    /**
     * @return the vistaQueryFactory
     */
    protected VistaQueryFactory getVistaQueryFactory() {
        return vistaQueryFactory;
    }

    /**
     * @param vistaQueryFactory the vistaQueryFactory to set
     */
    protected void setVistaQueryFactory(VistaQueryFactory vistaQueryFactory) {
        this.vistaQueryFactory = vistaQueryFactory;
    }


    /*protected void conferContext(VistaConnection currentCxn) 
    {
        VistaConnection cxn = new VistaConnection(currentCxn.getSite());
        cxn.connect();
        VistaUserDao dao = new VistaUserDao(cxn);
        User user = dao.getUserInfo(currentCxn.getUid());
        cxn.disconnect();
        cxn.connect();
        String userIen = dao.visit(user, VistaConstants.CAPRI_CONTEXT, true);
        if (!userIen.equals(cxn.getUid()))
        {
            cxn.disconnect();
            throw new RPCException("Mismatched userIen's after visit. Expected " + cxn.getUid() + ", got " + userIen);
        }
        if (!dao.setContext(VistaConstants.CAPRI_CONTEXT))
        {
            cxn.disconnect();
            throw new RPCException("Unable to set CAPRI context after visit");
        }
        cxn.disconnect();
        if (!currentCxn.setContext(VistaConstants.CAPRI_CONTEXT))
        {
            throw new RPCException("Unable to set CAPRI context after conferring context");
        }
    }*/
}
