/*
 * Janus 4.0 (c)
 * Copyright (c) 2013 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *      Honorable Senator Daniel K. Inouye
 *      VA Pacific Islands Health Care System
 *      Tripler Army Medical Center
 */

package gov.va.med.rpc;

public class VistaQueryParameter {
    private int type;
    private String value;
    private String text;
    private DictionaryHashList list;

    public VistaQueryParameter() {
        this.type = -1;
        this.value = "";
    }

    public VistaQueryParameter(int type, String value) {
        this.type = type;
        this.value = value;
    }

    public VistaQueryParameter(int type, String value, String text) {
        this.type = type;
        this.value = value;
        this.text = text;
    }

    public VistaQueryParameter(int type, DictionaryHashList lst) {
        this.type = type;
        this.value = ".x";
        this.list = lst;
    }

    public void setType(int type) {
        this.type = type;
    }

    public int getType() {
        return this.type;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getValue() {
        return this.value;
    }

    public void setText(String text) {
        this.text = text;
    }

    public String getText() {
        return this.text;
    }

    public void setList(DictionaryHashList lst) {
        this.list = lst;
    }

    public DictionaryHashList getList() {
        return list;
    }
}
