/*
 * Janus 4.0 (c)
 * Copyright (c) 2012 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *      Honorable Senator Daniel K. Inouye
 *      VA Pacific Islands Health Care System
 *      Tripler Army Medical Center
 */

package gov.va.med.vds.ehr.common.dto;

import gov.va.med.vds.vistabeans.Patient;
import gov.va.med.vds.vistabeans.User;

/**
 * EHR request type abstract data transfer object.
 */
public abstract class EHRRequestType {
    /** User associated with request. **/
    private User user;

    /** Patient associated with request. **/
    private Patient patient;

    /** Name of application making request. **/
    private String requestingApp;

    public User getUser() {
        return user;
    }

    public void setUser(User user) {
        this.user = user;
    }

    public Patient getPatient() {
        return patient;
    }

    public void setPatient(Patient patient) {
        this.patient = patient;
    }

    public String getRequestingApp() {
        return requestingApp;
    }

    public void setRequestingApp(String requestingApp) {
        this.requestingApp = requestingApp;
    }
}
