/*
 * Janus 4.0 (c)
 * Copyright (c) 2014 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *      Honorable Senator Daniel K. Inouye
 *      VA Pacific Islands Health Care System
 *      Tripler Army Medical Center
 */


package gov.va.med.vds.patient.dao;

import gov.va.med.vds.base.dao.DaoBase;
import gov.va.med.vds.base.dataservice.VDSException;
import gov.va.med.vds.dataservicehandler.DASServiceHandler;
import gov.va.med.vds.vistabeans.QueryBean;
import gov.va.med.vds.vistabeans.VLERDocument;
import gov.va.med.vds.vistabeans.das.DASResultCollection;
import org.apache.commons.collections4.CollectionUtils;

import java.util.List;

/**
 *
 *
 */
public class DASDao extends DaoBase {

    public DASResultCollection getVLERAllergies(QueryBean queryBean) throws VDSException {
        try {
            //document query - begin
            return DASServiceHandler.getInstance().getVLERAllergies(queryBean);
        }  catch (Exception e) {
            throw new VDSException(e);
           //e.printStackTrace(System.out);
        }
    }

    public DASResultCollection getVLERProblems(QueryBean queryBean) throws VDSException {
        try {
            //document query - begin
            return DASServiceHandler.getInstance().getVLERProblems(queryBean);
        }  catch (Exception e) {
            throw new VDSException(e);
            //e.printStackTrace(System.out);
        }
    }

    public DASResultCollection getVLERVitals(QueryBean queryBean) throws VDSException {
        try {
            //document query - begin
            return DASServiceHandler.getInstance().getVLERVitals(queryBean);
        }  catch (Exception e) {
            throw new VDSException(e);
            //e.printStackTrace(System.out);
        }
    }

    public DASResultCollection getVLERImmunizations(QueryBean queryBean) throws VDSException {
        try {
            //document query - begin
            return DASServiceHandler.getInstance().getVLERImmunizations(queryBean);
        }  catch (Exception e) {
            throw new VDSException(e);
            //e.printStackTrace(System.out);
        }
    }

    public DASResultCollection getVLERProcedures(QueryBean queryBean) throws VDSException {
        try {
            //document query - begin
            return DASServiceHandler.getInstance().getVLERProcedures(queryBean);
        }  catch (Exception e) {
            throw new VDSException(e);
            //e.printStackTrace(System.out);
        }
    }

    public DASResultCollection getVLERDemographics(QueryBean queryBean) throws VDSException {
        try {
            //document query - begin
            return DASServiceHandler.getInstance().getVLERDemographics(queryBean);
        }  catch (Exception e) {
            throw new VDSException(e);
            //e.printStackTrace(System.out);
        }
    }

    public List<VLERDocument> getVLERDocumentList(QueryBean queryBean) throws VDSException {
        try {
            List<VLERDocument> retVal = null;
            //document query - begin
            DASResultCollection resultCollection = DASServiceHandler.getInstance().getVLERDocuments(queryBean);
            if(resultCollection != null && CollectionUtils.isNotEmpty(resultCollection.getDocuments())){
                retVal = resultCollection.getDocuments();
            }
            return retVal;
        }  catch (Exception e) {
            throw new VDSException(e);
            //e.printStackTrace(System.out);
        }
    }


}
