/*
 * Janus 4.0 (c)
 * Copyright (c) 2014 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *      Honorable Senator Daniel K. Inouye
 *      VA Pacific Islands Health Care System
 *      Tripler Army Medical Center
 */


package gov.va.med.vds.patient.dao;

import gov.va.med.rpc.RPCConnection;
import gov.va.med.rpc.RPCException;
import gov.va.med.vds.base.dao.DaoBase;
import gov.va.med.vds.base.dao.UnsupportedRPCMethodException;
import gov.va.med.vds.patient.dao.rpc.EncountersRPC;
import gov.va.med.vds.vistabeans.Encounter;
import gov.va.med.vds.vistabeans.QueryBean;

/**
 *
 *
 */
public class EncountersDao extends DaoBase {
    public EncountersDao(RPCConnection cxn) {
        super(cxn);
    }

    public Encounter[] getPatientEncounters(QueryBean queryBean) throws RPCException, UnsupportedRPCMethodException {

        EncountersRPC rpc = new EncountersRPC(cxn);
        return rpc.getPatientEncounters(queryBean.getStartDate(), queryBean.getEndDate());

    }

}
