/**
 * Copyright (c) 2017 Hokukahu LLC. All Rights Reserved.
 */

package gov.va.med.vds.patient.dao;

import gov.va.med.rpc.RPCConnection;
import gov.va.med.rpc.RPCException;
import gov.va.med.vds.base.dao.DaoBase;
import gov.va.med.vds.patient.dao.rpc.HealthSummariesRPC;
import gov.va.med.vds.vistabeans.FreeTextReport;
import gov.va.med.vds.vistabeans.HealthSummaryTypeList;
import gov.va.med.vds.vistabeans.QueryBean;

/**
 *
 *
 */
public class HealthSummariesDao extends DaoBase {
    public HealthSummariesDao(RPCConnection cxn) {
        super(cxn);
    }

    /**
     * Retrieves list of patient Health Summary Types.
     *
     * @param queryBean QueryBean.
     * @return List of patient health summary types.
     * @throws RPCException if there was an error..
     */
    public HealthSummaryTypeList getPatientHealthSummaryTypes(QueryBean queryBean) throws RPCException {
        HealthSummariesRPC rpc = new HealthSummariesRPC(cxn);

        return rpc.getHealthSummaryTypes();
    }

    /**
     * Retrieves patient health summary
     *
     * @param queryBean queryBean containing the internal entry number of the patient health summary in the itemId
     * @return health summary in a FreeTextReport
     * @throws RPCException if there was an error..
     */
    public FreeTextReport getPatientHealthSummary(QueryBean queryBean) throws RPCException {
        HealthSummariesRPC rpc = new HealthSummariesRPC(cxn);
        return rpc.getPatientHealthSummary(queryBean.getItemId());
    }
}
