/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */


package gov.va.med.vds.patient.dao;

import gov.va.med.rpc.RPCConnection;
import gov.va.med.rpc.RPCException;
import gov.va.med.rpc.VistaConstants;
import gov.va.med.vds.base.dao.DaoBase;
import gov.va.med.vds.patient.dao.rpc.ImmunizationsRPC;
import gov.va.med.vds.vistabeans.Immunization;
import gov.va.med.vds.vistabeans.QueryBean;

import java.util.Calendar;

/**
 *
 *
 */
public class ImmunizationDao extends DaoBase {
    public ImmunizationDao(RPCConnection cxn) {
        super(cxn);
    }

    public Immunization[] getPatientImmunizations(QueryBean queryBean) throws RPCException {

        ImmunizationsRPC rpc = new ImmunizationsRPC(cxn);

        Calendar endDate = Calendar.getInstance();
        Calendar startDate = Calendar.getInstance();
        startDate.add(Calendar.YEAR, -200);
        return rpc.getImmunizationsVPR(startDate, endDate);
    }

    public Immunization[] getPatientImmunizationSkinTests(QueryBean queryBean) throws RPCException {

        ImmunizationsRPC rpc = new ImmunizationsRPC(cxn);

        Calendar endDate = Calendar.getInstance();
        Calendar startDate = Calendar.getInstance();
        startDate.add(Calendar.YEAR, -200);
        return rpc.getImmunizationSkinTests(startDate, endDate);
    }

    public Immunization[] getPatientImmunizationSkinTestsSetContext(QueryBean queryBean) throws RPCException {
        ImmunizationsRPC rpc = new ImmunizationsRPC(cxn);
        setContext(rpc, VistaConstants.CPRS_CONTEXT);
        
        Calendar endDate = Calendar.getInstance();
        Calendar startDate = Calendar.getInstance();
        startDate.add(Calendar.YEAR, -200);
        return rpc.getImmunizationSkinTests(startDate, endDate);
    }

}
