/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */


package gov.va.med.vds.patient.dao;

import gov.va.med.rpc.RPCConnection;
import gov.va.med.rpc.RPCException;
import gov.va.med.vds.base.dao.DaoBase;
import gov.va.med.vds.base.dao.UnsupportedRPCMethodException;
import gov.va.med.vds.patient.dao.rpc.ProblemsRPC;
import gov.va.med.vds.vistabeans.Problem;
import gov.va.med.vds.vistabeans.ProblemDetail;
import gov.va.med.vds.vistabeans.QueryBean;

import java.util.Calendar;

/**
 *
 *
 */
public class ProblemsDao extends DaoBase {

    public ProblemsDao(RPCConnection cxn) {
        super(cxn);
    }

    public Problem[] getPatientProblemList(QueryBean queryBean) throws RPCException {

        ProblemsRPC rpc = new ProblemsRPC(cxn);

        Calendar endDate = Calendar.getInstance();
        Calendar startDate = Calendar.getInstance();
        startDate.add(Calendar.YEAR, -200);
        return rpc.getProblemsVPR(startDate, endDate);
    }

    public ProblemDetail getProblemDetail(QueryBean queryBean) throws RPCException, UnsupportedRPCMethodException {

        ProblemsRPC rpc = new ProblemsRPC(cxn);
        return rpc.getProblemDetail(queryBean.getItemId());
    }
}
