/*
 * Janus 4.0 (c)
 * Copyright (c) 2014 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *      Honorable Senator Daniel K. Inouye
 *      VA Pacific Islands Health Care System
 *      Tripler Army Medical Center
 */


package gov.va.med.vds.patient.dao;

import gov.va.med.rpc.RPCConnection;
import gov.va.med.rpc.RPCException;
import gov.va.med.vds.base.dao.DaoBase;
import gov.va.med.vds.base.dao.UnsupportedRPCMethodException;
import gov.va.med.vds.patient.dao.rpc.ProceduresRPC;
import gov.va.med.vds.vistabeans.Procedure;
import gov.va.med.vds.vistabeans.QueryBean;

/**
 *
 *
 */
public class ProceduresDao extends DaoBase {
    public ProceduresDao(RPCConnection cxn) {
        super(cxn);
    }

    public Procedure[] getPatientProcedures(QueryBean queryBean) throws RPCException, UnsupportedRPCMethodException {
        ProceduresRPC rpc = new ProceduresRPC(cxn);

//        return rpc.getPatientProcedures(queryBean.getStartDate(), queryBean.getEndDate());
        return rpc.getPatientEncounterProcedures(queryBean.getStartDate(), queryBean.getEndDate());

    }

}
