/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */


package gov.va.med.vds.vistabeans;

/**
 * Alerts are information messages displayed to a user upon logging into the vista ehr. This may also be used to send
 * other types of alerts such as if a patient's record is sensitive.
 */
public class Alert extends DataBean {
    /**
     * Represents the text displayed to the user.
     */
    private String MessageText;
    /**
     * InternalId of the alert.
     */
    private String AlertId;

    /**
     * Display text for the alert to the user.
     */
    public String getMessageText() {
        return MessageText;
    }

    public void setMessageText(String newMessageText) {
        MessageText = newMessageText;
    }

    /**
     * Internal Id of the alert.
     */
    public String getAlertId() {
        return AlertId;
    }

    public void setAlertId(String newAlertId) {
        AlertId = newAlertId;
    }

}