/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */


package gov.va.med.vds.vistabeans;

import java.util.Calendar;

public class InsuranceBean extends DataBean {

    /**
     * Insurance Type.
     */
    private String insuranceType;
    private String insuranceTypeId;
    /**
     * Insurance Group Plan.
     */
    private String planName;
    private String groupNumber;
    /**
     * Subscriber ID.
     */
    private String subscriberId;
    /**
     * Insurance Number.
     */
    private String insNum;

    /**
     * Effective Date.
     */
    private Calendar effectiveDate;

    /**
     * Expiration Date.
     */
    private Calendar expirationDate;
    /**
     * Policy Holder.
     */
    private String policyHolder;
    private String relationShip;

    private String companyName;
    private String companyIen;
    private String companyAddressLine1;
    private String companyAddressLine2;
    private String companyAddressLine3;
    private String companyCity;
    private String companyStateProvince;
    private String companyPostalCode;
    private Telecom[] companyTelecom;

    private Calendar subscriberDOB;
    private String memberId;

    private String rxBin;
    private String rxPcn;
    private String comment;
    private String textDescription;

    /**
     * Insurance Type.
     */
    public String getInsuranceType() {
        return insuranceType;
    }

    public void setInsuranceType(String insType) {
        insuranceType = insType;
    }

    public String getInsuranceTypeId() {
        return insuranceTypeId;
    }

    public void setInsuranceTypeId(String typeCode) {
        this.insuranceTypeId = typeCode;
    }

    /**
     * Insurance Group Plan.
     */
    public String getPlanName() {
        return planName;
    }

    public void setPlanName(String planName) {
        this.planName = planName;
    }

    /**
     * Subscriber ID.
     */
    public String getSubscriberId() {
        return subscriberId;
    }

    public void setSubscriberId(String id) {
        subscriberId = id;
    }

    /**
     * Insurance Number.
     */
    public String getInsuranceNumber() {
        return insNum;
    }

    public void setInsuranceNumber(String num) {
        insNum = num;
    }

    /**
     * Effective Date.
     */
    public Calendar getEffectiveDate() {
        return effectiveDate;
    }

    public void setEffectiveDate(Calendar effectiveDate) {
        this.effectiveDate = effectiveDate;
    }

    /**
     * Expiration Date.
     */
    public Calendar getExpirationDate() {
        return expirationDate;
    }

    public void setExpirationDate(Calendar expirationDate) {
        this.expirationDate = expirationDate;
    }

    /**
     * Policy Holder.
     */
    public String getPolicyHolder() {
        return policyHolder;
    }

    public void setPolicyHolder(String holder) {
        policyHolder = holder;
    }

    public String getCompanyAddressLine1() {
        return companyAddressLine1;
    }

    public void setCompanyAddressLine1(String companyAddressLine1) {
        this.companyAddressLine1 = companyAddressLine1;
    }

    public String getCompanyAddressLine2() {
        return companyAddressLine2;
    }

    public void setCompanyAddressLine2(String companyAddressLine2) {
        this.companyAddressLine2 = companyAddressLine2;
    }

    public String getCompanyAddressLine3() {
        return companyAddressLine3;
    }

    public void setCompanyAddressLine3(String companyAddressLine3) {
        this.companyAddressLine3 = companyAddressLine3;
    }

    public String getCompanyCity() {
        return companyCity;
    }

    public void setCompanyCity(String companyCity) {
        this.companyCity = companyCity;
    }

    public String getCompanyStateProvince() {
        return companyStateProvince;
    }

    public void setCompanyStateProvince(String companyStateProvince) {
        this.companyStateProvince = companyStateProvince;
    }

    public String getCompanyPostalCode() {
        return companyPostalCode;
    }

    public void setCompanyPostalCode(String companyPostalCode) {
        this.companyPostalCode = companyPostalCode;
    }

    public Telecom[] getCompanyTelecom() {
        Telecom[] rtc = null;
        if (companyTelecom != null) {
            rtc = companyTelecom.clone();
        }
        return rtc;
    }

    public void setCompanyTelecom(Telecom[] companyTelecom) {
        if (companyTelecom == null) {
            this.companyTelecom = null;
        } else {
            this.companyTelecom = companyTelecom.clone();
        }
    }

    public String getGroupNumber() {
        return groupNumber;
    }

    public void setGroupNumber(String groupNumber) {
        this.groupNumber = groupNumber;
    }

    public String getRelationShip() {
        return relationShip;
    }

    public void setRelationShip(String relationShip) {
        this.relationShip = relationShip;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getCompanyIen() {
        return companyIen;
    }

    public void setCompanyIen(String companyIen) {
        this.companyIen = companyIen;
    }

    public Calendar getSubscriberDOB() {
        return subscriberDOB;
    }

    public void setSubscriberDOB(Calendar subscriberDOB) {
        this.subscriberDOB = subscriberDOB;
    }

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public String getInsNum() {
        return insNum;
    }

    public void setInsNum(String insNum) {
        this.insNum = insNum;
    }

    public String getRxBin() {
        return rxBin;
    }

    public void setRxBin(String rxBin) {
        this.rxBin = rxBin;
    }

    public String getRxPcn() {
        return rxPcn;
    }

    public void setRxPcn(String rxPcn) {
        this.rxPcn = rxPcn;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public String getTextDescription() {
        return textDescription;
    }

    public void setTextDescription(String textDescription) {
        this.textDescription = textDescription;
    }
}
