/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */


package gov.va.med.vds.vistabeans;

import java.util.Calendar;

/**
 * This class represents radiology exam data.
 */
public class RadiologyExam extends DataBean {
    /**
     * Date of  the exam.
     */
    private Calendar examDate;
    /**
     * radiology study requested/ordered.
     */
    private String study;
    /**
     * Status of the exam.
     */
    private String status;
    /**
     * Internal Id for exam.  Used to retrieve Radiology report data.
     */
    private String examId;
    /**
     * reason for the exam.
     */
    private String reasonForOrder;

    /**
     * Exam accession number.
     */
    private String accessionNumber;

    private String priority;
    private String orderNumber;
    private Calendar amendedDate;
    private String amendedText;

    /**
     * Date of  the radiology exam.
     */
    public Calendar getExamDate() {
        return examDate;
    }

    public void setExamDate(Calendar newExamDate) {
        examDate = newExamDate;
    }

    /**
     * Radiology study performed for the exam.
     */
    public String getStudy() {
        return study;
    }

    public void setStudy(String newStudy) {
        study = newStudy;
    }

    /**
     * Status of the radiology exam.
     */
    public String getStatus() {
        return status;
    }

    public void setStatus(String newStatus) {
        status = newStatus;
    }

    /**
     * Internal ID of radiology exam.  Used to retrieve Radiology Report data.
     */
    public String getExamId() {
        return examId;
    }

    public void setExamId(String newExamId) {
        examId = newExamId;
    }

    /**
     * Reason for the radiology order.
     */
    public String getReasonForOrder() {
        return reasonForOrder;
    }

    public void setReasonForOrder(String newReasonForOrder) {
        reasonForOrder = newReasonForOrder;
    }

    public String getAccessionNumber() {
        return accessionNumber;
    }

    public void setAccessionNumber(String accessionNumber) {
        this.accessionNumber = accessionNumber;
    }

    public String getPriority() {
        return priority;
    }

    public void setPriority(String priority) {
        this.priority = priority;
    }

    public String getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(String orderNumber) {
        this.orderNumber = orderNumber;
    }

    public Calendar getAmendedDate() {
        return amendedDate;
    }

    public void setAmendedDate(Calendar amendedDate) {
        this.amendedDate = amendedDate;
    }

    public String getAmendedText() {
        return amendedText;
    }

    public void setAmendedText(String amendedText) {
        this.amendedText = amendedText;
    }
}