/*
 * Janus 4.0 (c)
 * Copyright (c) 2013 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *      Honorable Senator Daniel K. Inouye
 *      VA Pacific Islands Health Care System
 *      Tripler Army Medical Center
 */

package gov.va.med.vds.rpc;

import gov.va.med.rpc.RPCException;
import gov.va.med.vds.patient.dao.rpc.OrderRPC;
import gov.va.med.vds.vistabeans.FreeTextReport;
import gov.va.med.vds.vistabeans.Order;
import org.junit.Before;
import org.junit.Test;

import java.util.Calendar;

import static org.junit.Assert.assertFalse;
import static org.junit.Assert.assertTrue;

/**
 * Created with IntelliJ IDEA.
 * User: DNS   ISHIIS
 * Date: 2/7/13
 * Time: 9:02 AM
 * To change this template use File | Settings | File Templates.
 */
public class OrderRPCTest extends BaseRPCTest
{
    private OrderRPC orderRPC;
    private Calendar startDate;
    private Calendar endDate;

    @Before
    public void setUp () {
        super.setUp();

        orderRPC = new OrderRPC(vistaCxn);
        startDate = Calendar.getInstance();
        endDate = Calendar.getInstance();
        startDate.set(1980, 0, 1);
        endDate.set(2000, 0, 1);

    }

    @Test
    public void testGetPatientOrders() throws RPCException
    {
        Order[] orders = orderRPC.getPatientOrders(patientId, startDate, endDate);

        assertTrue(orders.length > 0);
    }

    @Test public void testGetOrderDetail() throws RPCException {
        Order[] orders = orderRPC.getPatientOrders(patientId, startDate, endDate);
        assertTrue(orders.length > 0);

        FreeTextReport detail = orderRPC.getOrderDetail(patientId, orders[0].getOrderid());
        assertFalse(detail.getReportText().isEmpty());
    }
}