/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */
 
 
package gov.va.med.vds.rpc;

import gov.va.med.foundations.utilities.EncryptUtil;
import gov.va.med.foundations.utilities.VistaKernelHash;
import gov.va.med.foundations.utilities.VistaKernelHashCountLimitExceededException;
import gov.va.med.rpc.RPCException;
import gov.va.med.rpc.VistaConstants;
import gov.va.med.vds.TestConfig;
import gov.va.med.vds.provider.dao.rpc.UserRPC;
import gov.va.med.vds.vistabeans.User;
import org.junit.Test;

import static org.junit.Assert.assertEquals;

/**
 *
 *
 */
public class UserRPCTest extends BaseRPCTest {

    public UserRPCTest() {
    }

    @Override
    public void setUp()
    {
        vistaConnect();
    }

    /**
     * Test of login method, of class UserRPC.
     */
     @Test
    public void testLogin() throws RPCException, VistaKernelHashCountLimitExceededException {
        String accessCode = TestConfig.get(TestConfig.PROVIDER_ACCESS_CODE);
        String verifyCode = TestConfig.get(TestConfig.PROVIDER_VERIFY_CODE);
        UserRPC userRPC = new UserRPC(vistaCxn);
        User user = userRPC.login(VistaKernelHash.encrypt(accessCode, false), VistaKernelHash.encrypt(verifyCode, false), VistaConstants.CPRS_CONTEXT);
        assertEquals(user.getUserIen(), "14680");
        assertEquals(EncryptUtil.decrypt(user.getEncryptedFederatedUid()), "123456789");
        assertEquals(user.getName(), "HUI,TEST PROVIDER");
    }
}