package gov.va.med.monitor;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.ArrayList;
import java.util.List;

public class ServiceMonitor extends AbstractServiceMonitor {
    private static final Logger logger = LoggerFactory.getLogger(ServiceMonitor.class);

    private static ServiceMonitor INSTANCE = new ServiceMonitor();

    public static ServiceMonitor getInstance() {
        return INSTANCE;
    }

    public ServiceMonitor() {
        super();
    }

    @Override
    protected List<ServiceBase> populateMonitorList() {
        List<ServiceBase> monitorList = new ArrayList<ServiceBase>();

        if (APP_CONFIG.isServiceMonitorTest()) {
            monitorList.add(SiteMonitor.getInstance());
        }

        if (APP_CONFIG.isServiceMonitorTestServices()) {
            monitorList.add(TransactionMonitor.getInstance());
        }

        if (APP_CONFIG.isServiceMonitorTestSystem()) {
            monitorList.add(SystemMonitor.getInstance());
        }

        monitorList.add(PurgeTask.getInstance());
        return monitorList;
    }
}
