package gov.va.med.monitor;


import gov.va.med.des.common.JMeadowsException;
import gov.va.med.des.dataservicehandler.SiteMonitorHandler;
import org.apache.log4j.Logger;

public class SiteMonitor extends ServiceBase
{
    private static final SiteMonitor INSTANCE = new SiteMonitor();
    private SiteMonitorHandler serviceHandler;
    private static final Logger LOGGER =
            Logger.getLogger(SiteMonitor.class.getName());

    private SiteMonitor()
    {
        super(ServiceType.DESService);
        serviceHandler = new SiteMonitorHandler(APP_CONFIG.getSiteStatusPath());
    }

    public static SiteMonitor getInstance()
    {
        return INSTANCE;
    }

    @Override
    public void run()
    {
        try
        {
            // Check result records
            if (serviceHandler.querySiteMonitor())
            {
                // Received expected result
                status = ServiceStatus.OK;
                message.append(SERVICE_OK_MSG);
                LOGGER.debug("SITE_STATUS: " + SERVICE_OK_MSG);
            }
            else
            {
                // Did not receive expected result
                status = ServiceStatus.ERROR;
                message.append(NO_RESULTS_MSG);
                LOGGER.error("SITE_STATUS: " + SERVICE_OK_MSG);
            }
        }
        catch (JMeadowsException e)
        {
            status = ServiceStatus.ERROR;
            message.append(e.getMessage());
            LOGGER.error("SITE_STATUS: " + e.getMessage());
        }

        // Report status
//        report(type.toString(), status.toString(), message.toString());
    }
}
