package gov.va.med.monitor;


import gov.va.med.des.common.JMeadowsException;
import gov.va.med.des.dataservicehandler.TransactionMonitorHandler;
import org.apache.log4j.Logger;

public class TransactionMonitor extends ServiceBase
{
    private static final TransactionMonitor INSTANCE = new TransactionMonitor();
    private TransactionMonitorHandler serviceHandler;
    private static final Logger LOGGER =
            Logger.getLogger(TransactionMonitor.class.getName());

    private TransactionMonitor()
    {
        super(ServiceType.DESService);
        serviceHandler = new TransactionMonitorHandler(APP_CONFIG.getDesTransactionServicePath());
    }

    public static TransactionMonitor getInstance()
    {
        return INSTANCE;
    }

    @Override
    public void run()
    {
        try
        {
            // Check result records
            if (serviceHandler.queryTransactionMonitor())
            {
                // Received expected result
                status = ServiceStatus.OK;
                message.append(SERVICE_OK_MSG);
                LOGGER.debug("DES_TRANSACTION_SERVICE: " + SERVICE_OK_MSG);
            }
            else
            {
                // Did not receive expected result
                status = ServiceStatus.ERROR;
                message.append(NO_RESULTS_MSG);
                LOGGER.error("DES_TRANSACTION_SERVICE: " + NO_RESULTS_MSG);
            }
        }
        catch (JMeadowsException e)
        {
            status = ServiceStatus.ERROR;
            message.append(e.getMessage());
            LOGGER.error("DES_TRANSACTION_SERVICE: " + e.getMessage());
        }

        // Report status
//        report(type.toString(), status.toString(), message.toString());
    }
}
