/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */

package gov.va.med.jmeadows.dao.beans;

import java.io.Serializable;

public class AuthUserInfo implements Serializable {
    /**
     * Class UID.
     */
    private static final long serialVersionUID = -6135434313572059493L;
    private String cardId;
    private String organization;
    private String facility;
    private String name;
    private String email;
    private String phone;
    private String subjectDN;
    private String certificate;
    private String ncid;
    private boolean snareworksFlag;
    private boolean snareworksValid;
    
    public String getCardId() {
        return cardId;
    }

    public void setCardId(String cardId) {
        this.cardId = cardId;
    }

    public String getOrganization() {
        return organization;
    }

    public void setOrganization(String organization) {
        this.organization = organization;
    }

    public String getFacility() {
        return facility;
    }

    public void setFacility(String facility) {
        this.facility = facility;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getSubjectDN() {
        return subjectDN;
    }

    public void setSubjectDN(String subjectDN) {
        this.subjectDN = subjectDN;
    }

    /**
     * @param certificate the certificate to set
     */
    public void setCertificate(String certificate) {
        this.certificate = certificate;
    }

    /**
     * @return the certificate
     */
    public String getCertificate() {
        return certificate;
    }

    /**
     * @return the snareworksFlag
     */
    public boolean isSnareworksFlag() {
        return snareworksFlag;
    }

    /**
     * @param snareworksFlag the snareworksFlag to set
     */
    public void setSnareworksFlag(boolean snareworksFlag) {
        this.snareworksFlag = snareworksFlag;
    }

    /**
     * @return the snareworksValid
     */
    public boolean isSnareworksValid() {
        return snareworksValid;
    }

    /**
     * @param snareworksValid the snareworksValid to set
     */
    public void setSnareworksValid(boolean snareworksValid) {
        this.snareworksValid = snareworksValid;
    }

    /**
     * @return the ncid
     */
    public String getNcid() {
        return ncid;
    }

    /**
     * @param ncid the ncid to set
     */
    public void setNcid(String ncid) {
        this.ncid = ncid;
    }
}
