package gov.va.med.jmeadows.dao.beans;

import gov.va.med.vds.webservice.Alert;
import gov.va.med.vds.webservice.Patient;

import java.util.List;

public class ResponsePatientSelect {
    public enum ResponseType {
        PATIENT_SELECT,
        DEMOGRAPHICS_DES,
        SENSITIVE_ALERTS
    }

    private boolean isSuccess;
    private boolean isVARestricted;     // Restrict VA user access to DoD-only patient information
    private boolean isAllowVAAccess;    // Access to DoD-only patient information
    private String errorMsg;
    private List<ExternalID> externalIDs;
    private ResponseType responseType;
    private List<Alert> sensitivePatientAlerts;

    private Patient patient;

    public ResponsePatientSelect() {
        isSuccess = false;
        isVARestricted = false;
        isAllowVAAccess = false;
        errorMsg = "";
        patient = null;
        responseType = ResponseType.PATIENT_SELECT;
    }

    public boolean isSuccess() {
        return isSuccess;
    }

    public void setSuccess(boolean success) {
        isSuccess = success;
    }

    public boolean isVARestricted() {
        return isVARestricted;
    }

    public void setVARestricted(boolean VARestricted) {
        isVARestricted = VARestricted;
    }

    public boolean isAllowVAAccess() {
        return isAllowVAAccess;
    }

    public void setAllowVAAccess(boolean allowVAAccess) {
        isAllowVAAccess = allowVAAccess;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }

    public Patient getPatient() {
        return patient;
    }

    public void setPatient(Patient patient) {
        this.patient = patient;
    }

    public List<ExternalID> getExternalIDs() {
        return externalIDs;
    }

    public void setExternalIDs(List<ExternalID> externalIDs) {
        this.externalIDs = externalIDs;
    }

    public ResponseType getResponseType() {
        return responseType;
    }

    public void setResponseType(ResponseType responseType) {
        this.responseType = responseType;
    }

    public List<Alert> getSensitivePatientAlerts() {
        return sensitivePatientAlerts;
    }

    public void setSensitivePatientAlerts(List<Alert> sensitivePatientAlerts) {
        this.sensitivePatientAlerts = sensitivePatientAlerts;
    }
}
